/*
  
  DeepBlue Starter Kit - version 1.1
  Copyright (c) 2015 INMAGIK SRL - www.inmagik.com
  All rights reserved

  written by Mauro Bianchi
  bianchimro@gmail.com  
  
  file: controllers.js
  description: this file contains all controllers of the DeepBlue app.

*/


//controllers are packed into a module
var app = angular.module('deepBlue.controllers', [])

//top view controller
app.controller('AppCtrl', function($scope, $rootScope, $state, $ionicLoading, $localstorage) {

    // #SIMPLIFIED-IMPLEMENTATION:
    // Simplified handling and logout function.
    // A real app would delegate a service for organizing session data
    // and auth stuff in a better way.
     $rootScope.user = {};
     $rootScope.isMine = true;

    //$rootScope.API_Path = "http://localhost:49773/mapi/";
    $rootScope.API_Path = "http://capitalbridge.com.au/mapi/";
    $rootScope.Image_Path = "http://capitalbridge.com.au/";

    $rootScope.showLoading = function() {
        $ionicLoading.show({
            content: 'Loading',
            animation: 'fade-in',
            showBackdrop: true,
            maxWidth: 200,
            showDelay: 0
        });
    };
    $rootScope.hideLoading = function() {
        $ionicLoading.hide();
    };
    $scope.logout = function() {
        $rootScope.user = null;
        $localstorage.set('UserId', null);
        $localstorage.set('avatar', null);
        $localstorage.set('objLogin', null);
        $state.go('app.Login')
    };

    $scope.extile = [{
        id:0,
        title:'Miss'
    },{
        id:1,
        title:'Ms'
    },{
        id:2,
        title:'Mrs'
    },{
        id:3,
        title:'Mr'
    }];


    $scope.languages = new Array("Cantonese","English","French","Henan Dialect","Mandarin","Sichuan Dialect","Shanghai Dialect","Taiwanese Hokkien","Teochew Dialect","Mongolian");
    $scope.country_arr = new Array("Australia", "Afghanistan", "Albania", "Algeria", "American Samoa", "Angola", "Anguilla", "Antartica", "Antigua and Barbuda", "Argentina", "Armenia", "Aruba", "Ashmore and Cartier Island", "Austria", "Azerbaijan", "Bahamas", "Bahrain", "Bangladesh", "Barbados", "Belarus", "Belgium", "Belize", "Benin", "Bermuda", "Bhutan", "Bolivia", "Bosnia and Herzegovina", "Botswana", "Brazil", "British Virgin Islands", "Brunei", "Bulgaria", "Burkina Faso", "Burma", "Burundi", "Cambodia", "Cameroon", "Canada", "Cape Verde", "Cayman Islands", "Central African Republic", "Chad", "Chile", "China", "Christmas Island", "Clipperton Island", "Cocos (Keeling) Islands", "Colombia", "Comoros", "Congo, Democratic Republic of the", "Congo, Republic of the", "Cook Islands", "Costa Rica", "Cote d'Ivoire", "Croatia", "Cuba", "Cyprus", "Czeck Republic", "Denmark", "Djibouti", "Dominica", "Dominican Republic", "Ecuador", "Egypt", "El Salvador", "Equatorial Guinea", "Eritrea", "Estonia", "Ethiopia", "Europa Island", "Falkland Islands (Islas Malvinas)", "Faroe Islands", "Fiji", "Finland", "France", "French Guiana", "French Polynesia", "French Southern and Antarctic Lands", "Gabon", "Gambia, The", "Gaza Strip", "Georgia", "Germany", "Ghana", "Gibraltar", "Glorioso Islands", "Greece", "Greenland", "Grenada", "Guadeloupe", "Guam", "Guatemala", "Guernsey", "Guinea", "Guinea-Bissau", "Guyana", "Haiti", "Heard Island and McDonald Islands", "Holy See (Vatican City)", "Honduras", "Hong Kong", "Howland Island", "Hungary", "Iceland", "India", "Indonesia", "Iran", "Iraq", "Ireland", "Ireland, Northern", "Israel", "Italy", "Jamaica", "Jan Mayen", "Japan", "Jarvis Island", "Jersey", "Johnston Atoll", "Jordan", "Juan de Nova Island", "Kazakhstan", "Kenya", "Kiribati", "Korea, North", "Korea, South", "Kuwait", "Kyrgyzstan", "Laos", "Latvia", "Lebanon", "Lesotho", "Liberia", "Libya", "Liechtenstein", "Lithuania", "Luxembourg", "Macau", "Macedonia, Former Yugoslav Republic of", "Madagascar", "Malawi", "Malaysia", "Maldives", "Mali", "Malta", "Man, Isle of", "Marshall Islands", "Martinique", "Mauritania", "Mauritius", "Mayotte", "Mexico", "Micronesia, Federated States of", "Midway Islands", "Moldova", "Monaco", "Mongolia", "Montserrat", "Morocco", "Mozambique", "Namibia", "Nauru", "Nepal", "Netherlands", "Netherlands Antilles", "New Caledonia", "New Zealand", "Nicaragua", "Niger", "Nigeria", "Niue", "Norfolk Island", "Northern Mariana Islands", "Norway", "Oman", "Pakistan", "Palau", "Panama", "Papua New Guinea", "Paraguay", "Peru", "Philippines", "Pitcaim Islands", "Poland", "Portugal", "Puerto Rico", "Qatar", "Reunion", "Romania", "Russia", "Rwanda", "Saint Helena", "Saint Kitts and Nevis", "Saint Lucia", "Saint Pierre and Miquelon", "Saint Vincent and the Grenadines", "Samoa", "San Marino", "Sao Tome and Principe", "Saudi Arabia", "Scotland", "Senegal", "Seychelles", "Sierra Leone", "Singapore", "Slovakia", "Slovenia", "Solomon Islands", "Somalia", "South Africa", "South Georgia and South Sandwich Islands", "Spain", "Spratly Islands", "Sri Lanka", "Sudan", "Suriname", "Svalbard", "Swaziland", "Sweden", "Switzerland", "Syria", "Taiwan", "Tajikistan", "Tanzania", "Thailand", "Tobago", "Toga", "Tokelau", "Tonga", "Trinidad", "Tunisia", "Turkey", "Turkmenistan", "Tuvalu", "Uganda", "Ukraine", "United Arab Emirates", "United Kingdom", "Uruguay", "USA", "Uzbekistan", "Vanuatu", "Venezuela", "Vietnam", "Virgin Islands", "Wales", "Wallis and Futuna", "West Bank", "Western Sahara", "Yemen", "Yugoslavia", "Zambia", "Zimbabwe");

    $scope.s_a = new Array();
    $scope.s_a[0] = "Australian Capital Territory|New South Wales|Northern Territory|Queensland|South Australia|Tasmania|Victoria|Western Australia";
    $scope.s_a[1] = "Badakhshan|Badghis|Baghlan|Balkh|Bamian|Farah|Faryab|Ghazni|Ghowr|Helmand|Herat|Jowzjan|Kabol|Kandahar|Kapisa|Konar|Kondoz|Laghman|Lowgar|Nangarhar|Nimruz|Oruzgan|Paktia|Paktika|Parvan|Samangan|Sar-e Pol|Takhar|Vardak|Zabol";
    $scope.s_a[2] = "Berat|Bulqize|Delvine|Devoll (Bilisht)|Diber (Peshkopi)|Durres|Elbasan|Fier|Gjirokaster|Gramsh|Has (Krume)|Kavaje|Kolonje (Erseke)|Korce|Kruje|Kucove|Kukes|Kurbin|Lezhe|Librazhd|Lushnje|Malesi e Madhe (Koplik)|Mallakaster (Ballsh)|Mat (Burrel)|Mirdite (Rreshen)|Peqin|Permet|Pogradec|Puke|Sarande|Shkoder|Skrapar (Corovode)|Tepelene|Tirane (Tirana)|Tirane (Tirana)|Tropoje (Bajram Curri)|Vlore";
    $scope.s_a[3] = "Adrar|Ain Defla|Ain Temouchent|Alger|Annaba|Batna|Bechar|Bejaia|Biskra|Blida|Bordj Bou Arreridj|Bouira|Boumerdes|Chlef|Constantine|Djelfa|El Bayadh|El Oued|El Tarf|Ghardaia|Guelma|Illizi|Jijel|Khenchela|Laghouat|M'Sila|Mascara|Medea|Mila|Mostaganem|Naama|Oran|Ouargla|Oum el Bouaghi|Relizane|Saida|Setif|Sidi Bel Abbes|Skikda|Souk Ahras|Tamanghasset|Tebessa|Tiaret|Tindouf|Tipaza|Tissemsilt|Tizi Ouzou|Tlemcen";
    $scope.s_a[4] = "Eastern|Manu'a|Rose Island|Swains Island|Western";
    $scope.s_a[5] = "Andorra la Vella|Bengo|Benguela|Bie|Cabinda|Canillo|Cuando Cubango|Cuanza Norte|Cuanza Sul|Cunene|Encamp|Escaldes-Engordany|Huambo|Huila|La Massana|Luanda|Lunda Norte|Lunda Sul|Malanje|Moxico|Namibe|Ordino|Sant Julia de Loria|Uige|Zaire";
    $scope.s_a[6] = "Anguilla";
    $scope.s_a[7] = "Antartica";
    $scope.s_a[8] = "Barbuda|Redonda|Saint George|Saint John|Saint Mary|Saint Paul|Saint Peter|Saint Philip";
    $scope.s_a[9] = "Antartica e Islas del Atlantico Sur|Buenos Aires|Buenos Aires Capital Federal|Catamarca|Chaco|Chubut|Cordoba|Corrientes|Entre Rios|Formosa|Jujuy|La Pampa|La Rioja|Mendoza|Misiones|Neuquen|Rio Negro|Salta|San Juan|San Luis|Santa Cruz|Santa Fe|Santiago del Estero|Tierra del Fuego|Tucuman";
    $scope.s_a[10] = "Aragatsotn|Ararat|Armavir|Geghark'unik'|Kotayk'|Lorri|Shirak|Syunik'|Tavush|Vayots' Dzor|Yerevan";
    $scope.s_a[11] = "Aruba";
    $scope.s_a[12] = "Ashmore and Cartier Island";
    $scope.s_a[13] = "Burgenland|Kaernten|Niederoesterreich|Oberoesterreich|Salzburg|Steiermark|Tirol|Vorarlberg|Wien";
    $scope.s_a[14] = "Abseron Rayonu|Agcabadi Rayonu|Agdam Rayonu|Agdas Rayonu|Agstafa Rayonu|Agsu Rayonu|Ali Bayramli Sahari|Astara Rayonu|Baki Sahari|Balakan Rayonu|Barda Rayonu|Beylaqan Rayonu|Bilasuvar Rayonu|Cabrayil Rayonu|Calilabad Rayonu|Daskasan Rayonu|Davaci Rayonu|Fuzuli Rayonu|Gadabay Rayonu|Ganca Sahari|Goranboy Rayonu|Goycay Rayonu|Haciqabul Rayonu|Imisli Rayonu|Ismayilli Rayonu|Kalbacar Rayonu|Kurdamir Rayonu|Lacin Rayonu|Lankaran Rayonu|Lankaran Sahari|Lerik Rayonu|Masalli Rayonu|Mingacevir Sahari|Naftalan Sahari|Naxcivan Muxtar Respublikasi|Neftcala Rayonu|Oguz Rayonu|Qabala Rayonu|Qax Rayonu|Qazax Rayonu|Qobustan Rayonu|Quba Rayonu|Qubadli Rayonu|Qusar Rayonu|Saatli Rayonu|Sabirabad Rayonu|Saki Rayonu|Saki Sahari|Salyan Rayonu|Samaxi Rayonu|Samkir Rayonu|Samux Rayonu|Siyazan Rayonu|Sumqayit Sahari|Susa Rayonu|Susa Sahari|Tartar Rayonu|Tovuz Rayonu|Ucar Rayonu|Xacmaz Rayonu|Xankandi Sahari|Xanlar Rayonu|Xizi Rayonu|Xocali Rayonu|Xocavand Rayonu|Yardimli Rayonu|Yevlax Rayonu|Yevlax Sahari|Zangilan Rayonu|Zaqatala Rayonu|Zardab Rayonu";
    $scope.s_a[15] = "Acklins and Crooked Islands|Bimini|Cat Island|Exuma|Freeport|Fresh Creek|Governor's Harbour|Green Turtle Cay|Harbour Island|High Rock|Inagua|Kemps Bay|Long Island|Marsh Harbour|Mayaguana|New Providence|Nicholls Town and Berry Islands|Ragged Island|Rock Sound|San Salvador and Rum Cay|Sandy Point";
    $scope.s_a[16] = "Al Hadd|Al Manamah|Al Mintaqah al Gharbiyah|Al Mintaqah al Wusta|Al Mintaqah ash Shamaliyah|Al Muharraq|Ar Rifa' wa al Mintaqah al Janubiyah|Jidd Hafs|Juzur Hawar|Madinat 'Isa|Madinat Hamad|Sitrah";
    $scope.s_a[17] = "Barguna|Barisal|Bhola|Jhalokati|Patuakhali|Pirojpur|Bandarban|Brahmanbaria|Chandpur|Chittagong|Comilla|Cox's Bazar|Feni|Khagrachari|Lakshmipur|Noakhali|Rangamati|Dhaka|Faridpur|Gazipur|Gopalganj|Jamalpur|Kishoreganj|Madaripur|Manikganj|Munshiganj|Mymensingh|Narayanganj|Narsingdi|Netrokona|Rajbari|Shariatpur|Sherpur|Tangail|Bagerhat|Chuadanga|Jessore|Jhenaidah|Khulna|Kushtia|Magura|Meherpur|Narail|Satkhira|Bogra|Dinajpur|Gaibandha|Jaipurhat|Kurigram|Lalmonirhat|Naogaon|Natore|Nawabganj|Nilphamari|Pabna|Panchagarh|Rajshahi|Rangpur|Sirajganj|Thakurgaon|Habiganj|Maulvi bazar|Sunamganj|Sylhet";
    $scope.s_a[18] = "Bridgetown|Christ Church|Saint Andrew|Saint George|Saint James|Saint John|Saint Joseph|Saint Lucy|Saint Michael|Saint Peter|Saint Philip|Saint Thomas";
    $scope.s_a[19] = "Brestskaya (Brest)|Homyel'skaya (Homyel')|Horad Minsk|Hrodzyenskaya (Hrodna)|Mahilyowskaya (Mahilyow)|Minskaya|Vitsyebskaya (Vitsyebsk)";
    $scope.s_a[20] = "Antwerpen|Brabant Wallon|Brussels Capitol Region|Hainaut|Liege|Limburg|Luxembourg|Namur|Oost-Vlaanderen|Vlaams Brabant|West-Vlaanderen";
    $scope.s_a[21] = "Belize|Cayo|Corozal|Orange Walk|Stann Creek|Toledo";
    $scope.s_a[22] = "Alibori|Atakora|Atlantique|Borgou|Collines|Couffo|Donga|Littoral|Mono|Oueme|Plateau|Zou";
    $scope.s_a[23] = "Devonshire|Hamilton|Hamilton|Paget|Pembroke|Saint George|Saint Georges|Sandys|Smiths|Southampton|Warwick";
    $scope.s_a[24] = "Bumthang|Chhukha|Chirang|Daga|Geylegphug|Ha|Lhuntshi|Mongar|Paro|Pemagatsel|Punakha|Samchi|Samdrup Jongkhar|Shemgang|Tashigang|Thimphu|Tongsa|Wangdi Phodrang";
    $scope.s_a[25] = "Beni|Chuquisaca|Cochabamba|La Paz|Oruro|Pando|Potosi|Santa Cruz|Tarija";
    $scope.s_a[26] = "Federation of Bosnia and Herzegovina|Republika Srpska";
    $scope.s_a[27] = "Central|Chobe|Francistown|Gaborone|Ghanzi|Kgalagadi|Kgatleng|Kweneng|Lobatse|Ngamiland|North-East|Selebi-Pikwe|South-East|Southern";
    $scope.s_a[28] = "Acre|Alagoas|Amapa|Amazonas|Bahia|Ceara|Distrito Federal|Espirito Santo|Goias|Maranhao|Mato Grosso|Mato Grosso do Sul|Minas Gerais|Para|Paraiba|Parana|Pernambuco|Piaui|Rio de Janeiro|Rio Grande do Norte|Rio Grande do Sul|Rondonia|Roraima|Santa Catarina|Sao Paulo|Sergipe|Tocantins";
    $scope.s_a[29] = "Anegada|Jost Van Dyke|Tortola|Virgin Gorda";
    $scope.s_a[30] = "Belait|Brunei and Muara|Temburong|Tutong";
    $scope.s_a[31] = "Blagoevgrad|Burgas|Dobrich|Gabrovo|Khaskovo|Kurdzhali|Kyustendil|Lovech|Montana|Pazardzhik|Pernik|Pleven|Plovdiv|Razgrad|Ruse|Shumen|Silistra|Sliven|Smolyan|Sofiya|Sofiya-Grad|Stara Zagora|Turgovishte|Varna|Veliko Turnovo|Vidin|Vratsa|Yambol";
    $scope.s_a[32] = "Bale|Bam|Banwa|Bazega|Bougouriba|Boulgou|Boulkiemde|Comoe|Ganzourgou|Gnagna|Gourma|Houet|Ioba|Kadiogo|Kenedougou|Komandjari|Kompienga|Kossi|Koupelogo|Kouritenga|Kourweogo|Leraba|Loroum|Mouhoun|Nahouri|Namentenga|Naumbiel|Nayala|Oubritenga|Oudalan|Passore|Poni|Samentenga|Sanguie|Seno|Sissili|Soum|Sourou|Tapoa|Tuy|Yagha|Yatenga|Ziro|Zondomo|Zoundweogo";
    $scope.s_a[33] = "Ayeyarwady|Bago|Chin State|Kachin State|Kayah State|Kayin State|Magway|Mandalay|Mon State|Rakhine State|Sagaing|Shan State|Tanintharyi|Yangon";
    $scope.s_a[34] = "Bubanza|Bujumbura|Bururi|Cankuzo|Cibitoke|Gitega|Karuzi|Kayanza|Kirundo|Makamba|Muramvya|Muyinga|Mwaro|Ngozi|Rutana|Ruyigi";
    $scope.s_a[35] = "Banteay Mean Cheay|Batdambang|Kampong Cham|Kampong Chhnang|Kampong Spoe|Kampong Thum|Kampot|Kandal|Kaoh Kong|Keb|Kracheh|Mondol Kiri|Otdar Mean Cheay|Pailin|Phnum Penh|Pouthisat|Preah Seihanu (Sihanoukville)|Preah Vihear|Prey Veng|Rotanah Kiri|Siem Reab|Stoeng Treng|Svay Rieng|Takev";
    $scope.s_a[36] = "Adamaoua|Centre|Est|Extreme-Nord|Littoral|Nord|Nord-Ouest|Ouest|Sud|Sud-Ouest";
    $scope.s_a[37] = "Alberta|British Columbia|Manitoba|New Brunswick|Newfoundland|Northwest Territories|Nova Scotia|Nunavut|Ontario|Prince Edward Island|Quebec|Saskatchewan|Yukon Territory";
    $scope.s_a[38] = "Boa Vista|Brava|Maio|Mosteiros|Paul|Porto Novo|Praia|Ribeira Grande|Sal|Santa Catarina|Santa Cruz|Sao Domingos|Sao Filipe|Sao Nicolau|Sao Vicente|Tarrafal";
    $scope.s_a[39] = "Creek|Eastern|Midland|South Town|Spot Bay|Stake Bay|West End|Western";
    $scope.s_a[40] = "Bamingui-Bangoran|Bangui|Basse-Kotto|Gribingui|Haut-Mbomou|Haute-Kotto|Haute-Sangha|Kemo-Gribingui|Lobaye|Mbomou|Nana-Mambere|Ombella-Mpoko|Ouaka|Ouham|Ouham-Pende|Sangha|Vakaga";
    $scope.s_a[41] = "Batha|Biltine|Borkou-Ennedi-Tibesti|Chari-Baguirmi|Guera|Kanem|Lac|Logone Occidental|Logone Oriental|Mayo-Kebbi|Moyen-Chari|Ouaddai|Salamat|Tandjile";
    $scope.s_a[42] = "Aisen del General Carlos Ibanez del Campo|Antofagasta|Araucania|Atacama|Bio-Bio|Coquimbo|Libertador General Bernardo O'Higgins|Los Lagos|Magallanes y de la Antartica Chilena|Maule|Region Metropolitana (Santiago)|Tarapaca|Valparaiso";
    $scope.s_a[43] = "Anhui|Beijing|Chongqing|Fujian|Gansu|Guangdong|Guangxi|Guizhou|Hainan|Hebei|Heilongjiang|Henan|Hubei|Hunan|Jiangsu|Jiangxi|Jilin|Liaoning|Nei Mongol|Ningxia|Qinghai|Shaanxi|Shandong|Shanghai|Shanxi|Sichuan|Tianjin|Xinjiang|Xizang (Tibet)|Yunnan|Zhejiang";
    $scope.s_a[44] = "Christmas Island";
    $scope.s_a[45] = "Clipperton Island";
    $scope.s_a[46] = "Direction Island|Home Island|Horsburgh Island|North Keeling Island|South Island|West Island";
    $scope.s_a[47] = "Amazonas|Antioquia|Arauca|Atlantico|Bolivar|Boyaca|Caldas|Caqueta|Casanare|Cauca|Cesar|Choco|Cordoba|Cundinamarca|Distrito Capital de Santa Fe de Bogota|Guainia|Guaviare|Huila|La Guajira|Magdalena|Meta|Narino|Norte de Santander|Putumayo|Quindio|Risaralda|San Andres y Providencia|Santander|Sucre|Tolima|Valle del Cauca|Vaupes|Vichada";
    // <!-- -->
    $scope.s_a[48] = "Anjouan (Nzwani)|Domoni|Fomboni|Grande Comore (Njazidja)|Moheli (Mwali)|Moroni|Moutsamoudou";
    $scope.s_a[49] = "Bandundu|Bas-Congo|Equateur|Kasai-Occidental|Kasai-Oriental|Katanga|Kinshasa|Maniema|Nord-Kivu|Orientale|Sud-Kivu";
    $scope.s_a[50] = "Bouenza|Brazzaville|Cuvette|Kouilou|Lekoumou|Likouala|Niari|Plateaux|Pool|Sangha";
    $scope.s_a[51] = "Aitutaki|Atiu|Avarua|Mangaia|Manihiki|Manuae|Mauke|Mitiaro|Nassau Island|Palmerston|Penrhyn|Pukapuka|Rakahanga|Rarotonga|Suwarrow|Takutea";
    $scope.s_a[52] = "Alajuela|Cartago|Guanacaste|Heredia|Limon|Puntarenas|San Jose";
    $scope.s_a[53] = "Abengourou|Abidjan|Aboisso|Adiake'|Adzope|Agboville|Agnibilekrou|Ale'pe'|Bangolo|Beoumi|Biankouma|Bocanda|Bondoukou|Bongouanou|Bouafle|Bouake|Bouna|Boundiali|Dabakala|Dabon|Daloa|Danane|Daoukro|Dimbokro|Divo|Duekoue|Ferkessedougou|Gagnoa|Grand Bassam|Grand-Lahou|Guiglo|Issia|Jacqueville|Katiola|Korhogo|Lakota|Man|Mankono|Mbahiakro|Odienne|Oume|Sakassou|San-Pedro|Sassandra|Seguela|Sinfra|Soubre|Tabou|Tanda|Tiassale|Tiebissou|Tingrela|Touba|Toulepleu|Toumodi|Vavoua|Yamoussoukro|Zuenoula";
    $scope.s_a[54] = "Bjelovarsko-Bilogorska Zupanija|Brodsko-Posavska Zupanija|Dubrovacko-Neretvanska Zupanija|Istarska Zupanija|Karlovacka Zupanija|Koprivnicko-Krizevacka Zupanija|Krapinsko-Zagorska Zupanija|Licko-Senjska Zupanija|Medimurska Zupanija|Osjecko-Baranjska Zupanija|Pozesko-Slavonska Zupanija|Primorsko-Goranska Zupanija|Sibensko-Kninska Zupanija|Sisacko-Moslavacka Zupanija|Splitsko-Dalmatinska Zupanija|Varazdinska Zupanija|Viroviticko-Podravska Zupanija|Vukovarsko-Srijemska Zupanija|Zadarska Zupanija|Zagreb|Zagrebacka Zupanija";
    $scope.s_a[55] = "Camaguey|Ciego de Avila|Cienfuegos|Ciudad de La Habana|Granma|Guantanamo|Holguin|Isla de la Juventud|La Habana|Las Tunas|Matanzas|Pinar del Rio|Sancti Spiritus|Santiago de Cuba|Villa Clara";
    $scope.s_a[56] = "Famagusta|Kyrenia|Larnaca|Limassol|Nicosia|Paphos";
    $scope.s_a[57] = "Brnensky|Budejovicky|Jihlavsky|Karlovarsky|Kralovehradecky|Liberecky|Olomoucky|Ostravsky|Pardubicky|Plzensky|Praha|Stredocesky|Ustecky|Zlinsky";
    $scope.s_a[58] = "Arhus|Bornholm|Fredericksberg|Frederiksborg|Fyn|Kobenhavn|Kobenhavns|Nordjylland|Ribe|Ringkobing|Roskilde|Sonderjylland|Storstrom|Vejle|Vestsjalland|Viborg";
    $scope.s_a[59] = "'Ali Sabih|Dikhil|Djibouti|Obock|Tadjoura";
    $scope.s_a[60] = "Saint Andrew|Saint David|Saint George|Saint John|Saint Joseph|Saint Luke|Saint Mark|Saint Patrick|Saint Paul|Saint Peter";
    $scope.s_a[61] = "Azua|Baoruco|Barahona|Dajabon|Distrito Nacional|Duarte|El Seibo|Elias Pina|Espaillat|Hato Mayor|Independencia|La Altagracia|La Romana|La Vega|Maria Trinidad Sanchez|Monsenor Nouel|Monte Cristi|Monte Plata|Pedernales|Peravia|Puerto Plata|Salcedo|Samana|San Cristobal|San Juan|San Pedro de Macoris|Sanchez Ramirez|Santiago|Santiago Rodriguez|Valverde";
    // <!-- -->
    $scope.s_a[62] = "Azuay|Bolivar|Canar|Carchi|Chimborazo|Cotopaxi|El Oro|Esmeraldas|Galapagos|Guayas|Imbabura|Loja|Los Rios|Manabi|Morona-Santiago|Napo|Orellana|Pastaza|Pichincha|Sucumbios|Tungurahua|Zamora-Chinchipe";
    $scope.s_a[63] = "Ad Daqahliyah|Al Bahr al Ahmar|Al Buhayrah|Al Fayyum|Al Gharbiyah|Al Iskandariyah|Al Isma'iliyah|Al Jizah|Al Minufiyah|Al Minya|Al Qahirah|Al Qalyubiyah|Al Wadi al Jadid|As Suways|Ash Sharqiyah|Aswan|Asyut|Bani Suwayf|Bur Sa'id|Dumyat|Janub Sina'|Kafr ash Shaykh|Matruh|Qina|Shamal Sina'|Suhaj";
    $scope.s_a[64] = "Ahuachapan|Cabanas|Chalatenango|Cuscatlan|La Libertad|La Paz|La Union|Morazan|San Miguel|San Salvador|San Vicente|Santa Ana|Sonsonate|Usulutan";
    $scope.s_a[65] = "Annobon|Bioko Norte|Bioko Sur|Centro Sur|Kie-Ntem|Litoral|Wele-Nzas";
    $scope.s_a[66] = "Akale Guzay|Barka|Denkel|Hamasen|Sahil|Semhar|Senhit|Seraye";
    $scope.s_a[67] = "Harjumaa (Tallinn)|Hiiumaa (Kardla)|Ida-Virumaa (Johvi)|Jarvamaa (Paide)|Jogevamaa (Jogeva)|Laane-Virumaa (Rakvere)|Laanemaa (Haapsalu)|Parnumaa (Parnu)|Polvamaa (Polva)|Raplamaa (Rapla)|Saaremaa (Kuessaare)|Tartumaa (Tartu)|Valgamaa (Valga)|Viljandimaa (Viljandi)|Vorumaa (Voru)"
    $scope.s_a[68] = "Adis Abeba (Addis Ababa)|Afar|Amara|Dire Dawa|Gambela Hizboch|Hareri Hizb|Oromiya|Sumale|Tigray|YeDebub Biheroch Bihereseboch na Hizboch";
    $scope.s_a[69] = "Europa Island";
    $scope.s_a[70] = "Falkland Islands (Islas Malvinas)"
    $scope.s_a[71] = "Bordoy|Eysturoy|Mykines|Sandoy|Skuvoy|Streymoy|Suduroy|Tvoroyri|Vagar";
    $scope.s_a[72] = "Central|Eastern|Northern|Rotuma|Western";
    $scope.s_a[73] = "Aland|Etela-Suomen Laani|Ita-Suomen Laani|Lansi-Suomen Laani|Lappi|Oulun Laani";
    $scope.s_a[74] = "Alsace|Aquitaine|Auvergne|Basse-Normandie|Bourgogne|Bretagne|Centre|Champagne-Ardenne|Corse|Franche-Comte|Haute-Normandie|Ile-de-France|Languedoc-Roussillon|Limousin|Lorraine|Midi-Pyrenees|Nord-Pas-de-Calais|Pays de la Loire|Picardie|Poitou-Charentes|Provence-Alpes-Cote d'Azur|Rhone-Alpes";
    $scope.s_a[75] = "French Guiana";
    $scope.s_a[76] = "Archipel des Marquises|Archipel des Tuamotu|Archipel des Tubuai|Iles du Vent|Iles Sous-le-Vent";
    $scope.s_a[77] = "Adelie Land|Ile Crozet|Iles Kerguelen|Iles Saint-Paul et Amsterdam";
    $scope.s_a[78] = "Estuaire|Haut-Ogooue|Moyen-Ogooue|Ngounie|Nyanga|Ogooue-Ivindo|Ogooue-Lolo|Ogooue-Maritime|Woleu-Ntem";
    $scope.s_a[79] = "Banjul|Central River|Lower River|North Bank|Upper River|Western";
    $scope.s_a[80] = "Gaza Strip";
    $scope.s_a[81] = "Abashis|Abkhazia or Ap'khazet'is Avtonomiuri Respublika (Sokhumi)|Adigenis|Ajaria or Acharis Avtonomiuri Respublika (Bat'umi)|Akhalgoris|Akhalk'alak'is|Akhalts'ikhis|Akhmetis|Ambrolauris|Aspindzis|Baghdat'is|Bolnisis|Borjomis|Ch'khorotsqus|Ch'okhatauris|Chiat'ura|Dedop'listsqaros|Dmanisis|Dushet'is|Gardabanis|Gori|Goris|Gurjaanis|Javis|K'arelis|K'ut'aisi|Kaspis|Kharagaulis|Khashuris|Khobis|Khonis|Lagodekhis|Lanch'khut'is|Lentekhis|Marneulis|Martvilis|Mestiis|Mts'khet'is|Ninotsmindis|Onis|Ozurget'is|P'ot'i|Qazbegis|Qvarlis|Rust'avi|Sach'kheris|Sagarejos|Samtrediis|Senakis|Sighnaghis|T'bilisi|T'elavis|T'erjolis|T'et'ritsqaros|T'ianet'is|Tqibuli|Ts'ageris|Tsalenjikhis|Tsalkis|Tsqaltubo|Vanis|Zestap'onis|Zugdidi|Zugdidis";
    $scope.s_a[82] = "Baden-Wuerttemberg|Bayern|Berlin|Brandenburg|Bremen|Hamburg|Hessen|Mecklenburg-Vorpommern|Niedersachsen|Nordrhein-Westfalen|Rheinland-Pfalz|Saarland|Sachsen|Sachsen-Anhalt|Schleswig-Holstein|Thueringen";
    $scope.s_a[83] = "Ashanti|Brong-Ahafo|Central|Eastern|Greater Accra|Northern|Upper East|Upper West|Volta|Western";
    $scope.s_a[84] = "Gibraltar";
    $scope.s_a[85] = "Ile du Lys|Ile Glorieuse";
    $scope.s_a[86] = "Aitolia kai Akarnania|Akhaia|Argolis|Arkadhia|Arta|Attiki|Ayion Oros (Mt. Athos)|Dhodhekanisos|Drama|Evritania|Evros|Evvoia|Florina|Fokis|Fthiotis|Grevena|Ilia|Imathia|Ioannina|Irakleion|Kardhitsa|Kastoria|Kavala|Kefallinia|Kerkyra|Khalkidhiki|Khania|Khios|Kikladhes|Kilkis|Korinthia|Kozani|Lakonia|Larisa|Lasithi|Lesvos|Levkas|Magnisia|Messinia|Pella|Pieria|Preveza|Rethimni|Rodhopi|Samos|Serrai|Thesprotia|Thessaloniki|Trikala|Voiotia|Xanthi|Zakinthos";
    $scope.s_a[87] = "Avannaa (Nordgronland)|Kitaa (Vestgronland)|Tunu (Ostgronland)"
    $scope.s_a[88] = "Carriacou and Petit Martinique|Saint Andrew|Saint David|Saint George|Saint John|Saint Mark|Saint Patrick";
    $scope.s_a[89] = "Basse-Terre|Grande-Terre|Iles de la Petite Terre|Iles des Saintes|Marie-Galante";
    $scope.s_a[90] = "Guam";
    $scope.s_a[91] = "Alta Verapaz|Baja Verapaz|Chimaltenango|Chiquimula|El Progreso|Escuintla|Guatemala|Huehuetenango|Izabal|Jalapa|Jutiapa|Peten|Quetzaltenango|Quiche|Retalhuleu|Sacatepequez|San Marcos|Santa Rosa|Solola|Suchitepequez|Totonicapan|Zacapa";
    $scope.s_a[92] = "Castel|Forest|St. Andrew|St. Martin|St. Peter Port|St. Pierre du Bois|St. Sampson|St. Saviour|Torteval|Vale";
    $scope.s_a[93] = "Beyla|Boffa|Boke|Conakry|Coyah|Dabola|Dalaba|Dinguiraye|Dubreka|Faranah|Forecariah|Fria|Gaoual|Gueckedou|Kankan|Kerouane|Kindia|Kissidougou|Koubia|Koundara|Kouroussa|Labe|Lelouma|Lola|Macenta|Mali|Mamou|Mandiana|Nzerekore|Pita|Siguiri|Telimele|Tougue|Yomou";
    $scope.s_a[94] = "Bafata|Biombo|Bissau|Bolama-Bijagos|Cacheu|Gabu|Oio|Quinara|Tombali";
    $scope.s_a[95] = "Barima-Waini|Cuyuni-Mazaruni|Demerara-Mahaica|East Berbice-Corentyne|Essequibo Islands-West Demerara|Mahaica-Berbice|Pomeroon-Supenaam|Potaro-Siparuni|Upper Demerara-Berbice|Upper Takutu-Upper Essequibo";
    $scope.s_a[96] = "Artibonite|Centre|Grand'Anse|Nord|Nord-Est|Nord-Ouest|Ouest|Sud|Sud-Est";
    $scope.s_a[97] = "Heard Island and McDonald Islands";
    $scope.s_a[98] = "Holy See (Vatican City)"
    $scope.s_a[99] = "Atlantida|Choluteca|Colon|Comayagua|Copan|Cortes|El Paraiso|Francisco Morazan|Gracias a Dios|Intibuca|Islas de la Bahia|La Paz|Lempira|Ocotepeque|Olancho|Santa Barbara|Valle|Yoro";
    $scope.s_a[100] = "Hong Kong";
    $scope.s_a[101] = "Howland Island";
    $scope.s_a[102] = "Bacs-Kiskun|Baranya|Bekes|Bekescsaba|Borsod-Abauj-Zemplen|Budapest|Csongrad|Debrecen|Dunaujvaros|Eger|Fejer|Gyor|Gyor-Moson-Sopron|Hajdu-Bihar|Heves|Hodmezovasarhely|Jasz-Nagykun-Szolnok|Kaposvar|Kecskemet|Komarom-Esztergom|Miskolc|Nagykanizsa|Nograd|Nyiregyhaza|Pecs|Pest|Somogy|Sopron|Szabolcs-Szatmar-Bereg|Szeged|Szekesfehervar|Szolnok|Szombathely|Tatabanya|Tolna|Vas|Veszprem|Veszprem|Zala|Zalaegerszeg";
    $scope.s_a[103] = "Akranes|Akureyri|Arnessysla|Austur-Bardhastrandarsysla|Austur-Hunavatnssysla|Austur-Skaftafellssysla|Borgarfjardharsysla|Dalasysla|Eyjafjardharsysla|Gullbringusysla|Hafnarfjordhur|Husavik|Isafjordhur|Keflavik|Kjosarsysla|Kopavogur|Myrasysla|Neskaupstadhur|Nordhur-Isafjardharsysla|Nordhur-Mulasys-la|Nordhur-Thingeyjarsysla|Olafsfjordhur|Rangarvallasysla|Reykjavik|Saudharkrokur|Seydhisfjordhur|Siglufjordhur|Skagafjardharsysla|Snaefellsnes-og Hnappadalssysla|Strandasysla|Sudhur-Mulasysla|Sudhur-Thingeyjarsysla|Vesttmannaeyjar|Vestur-Bardhastrandarsysla|Vestur-Hunavatnssysla|Vestur-Isafjardharsysla|Vestur-Skaftafellssysla";
    $scope.s_a[104] = "Andaman and Nicobar Islands|Andhra Pradesh|Arunachal Pradesh|Assam|Bihar|Chandigarh|Chhattisgarh|Dadra and Nagar Haveli|Daman and Diu|Delhi|Goa|Gujarat|Haryana|Himachal Pradesh|Jammu and Kashmir|Jharkhand|Karnataka|Kerala|Lakshadweep|Madhya Pradesh|Maharashtra|Manipur|Meghalaya|Mizoram|Nagaland|Orissa|Pondicherry|Punjab|Rajasthan|Sikkim|Tamil Nadu|Tripura|Uttar Pradesh|Uttaranchal|West Bengal";
    $scope.s_a[105] = "Aceh|Bali|Banten|Bengkulu|East Timor|Gorontalo|Irian Jaya|Jakarta Raya|Jambi|Jawa Barat|Jawa Tengah|Jawa Timur|Kalimantan Barat|Kalimantan Selatan|Kalimantan Tengah|Kalimantan Timur|Kepulauan Bangka Belitung|Lampung|Maluku|Maluku Utara|Nusa Tenggara Barat|Nusa Tenggara Timur|Riau|Sulawesi Selatan|Sulawesi Tengah|Sulawesi Tenggara|Sulawesi Utara|Sumatera Barat|Sumatera Selatan|Sumatera Utara|Yogyakarta";
    $scope.s_a[106] = "Ardabil|Azarbayjan-e Gharbi|Azarbayjan-e Sharqi|Bushehr|Chahar Mahall va Bakhtiari|Esfahan|Fars|Gilan|Golestan|Hamadan|Hormozgan|Ilam|Kerman|Kermanshah|Khorasan|Khuzestan|Kohgiluyeh va Buyer Ahmad|Kordestan|Lorestan|Markazi|Mazandaran|Qazvin|Qom|Semnan|Sistan va Baluchestan|Tehran|Yazd|Zanjan";
    $scope.s_a[107] = "Al Anbar|Al Basrah|Al Muthanna|Al Qadisiyah|An Najaf|Arbil|As Sulaymaniyah|At Ta'mim|Babil|Baghdad|Dahuk|Dhi Qar|Diyala|Karbala'|Maysan|Ninawa|Salah ad Din|Wasit";
    $scope.s_a[108] = "Carlow|Cavan|Clare|Cork|Donegal|Dublin|Galway|Kerry|Kildare|Kilkenny|Laois|Leitrim|Limerick|Longford|Louth|Mayo|Meath|Monaghan|Offaly|Roscommon|Sligo|Tipperary|Waterford|Westmeath|Wexford|Wicklow";
    $scope.s_a[109] = "Antrim|Ards|Armagh|Ballymena|Ballymoney|Banbridge|Belfast|Carrickfergus|Castlereagh|Coleraine|Cookstown|Craigavon|Derry|Down|Dungannon|Fermanagh|Larne|Limavady|Lisburn|Magherafelt|Moyle|Newry and Mourne|Newtownabbey|North Down|Omagh|Strabane";
    $scope.s_a[110] = "Central|Haifa|Jerusalem|Northern|Southern|Tel Aviv";
    $scope.s_a[111] = "Abruzzo|Basilicata|Calabria|Campania|Emilia-Romagna|Friuli-Venezia Giulia|Lazio|Liguria|Lombardia|Marche|Molise|Piemonte|Puglia|Sardegna|Sicilia|Toscana|Trentino-Alto Adige|Umbria|Valle d'Aosta|Veneto";
    $scope.s_a[112] = "Clarendon|Hanover|Kingston|Manchester|Portland|Saint Andrew|Saint Ann|Saint Catherine|Saint Elizabeth|Saint James|Saint Mary|Saint Thomas|Trelawny|Westmoreland";
    $scope.s_a[113] = "Jan Mayen";
    $scope.s_a[114] = "Aichi|Akita|Aomori|Chiba|Ehime|Fukui|Fukuoka|Fukushima|Gifu|Gumma|Hiroshima|Hokkaido|Hyogo|Ibaraki|Ishikawa|Iwate|Kagawa|Kagoshima|Kanagawa|Kochi|Kumamoto|Kyoto|Mie|Miyagi|Miyazaki|Nagano|Nagasaki|Nara|Niigata|Oita|Okayama|Okinawa|Osaka|Saga|Saitama|Shiga|Shimane|Shizuoka|Tochigi|Tokushima|Tokyo|Tottori|Toyama|Wakayama|Yamagata|Yamaguchi|Yamanashi";
    $scope.s_a[115] = "Jarvis Island";
    $scope.s_a[116] = "Jersey";
    $scope.s_a[117] = "Johnston Atoll";
    $scope.s_a[118] = "'Amman|Ajlun|Al 'Aqabah|Al Balqa'|Al Karak|Al Mafraq|At Tafilah|Az Zarqa'|Irbid|Jarash|Ma'an|Madaba";
    $scope.s_a[119] = "Juan de Nova Island";
    $scope.s_a[120] = "Almaty|Aqmola|Aqtobe|Astana|Atyrau|Batys Qazaqstan|Bayqongyr|Mangghystau|Ongtustik Qazaqstan|Pavlodar|Qaraghandy|Qostanay|Qyzylorda|Shyghys Qazaqstan|Soltustik Qazaqstan|Zhambyl";
    $scope.s_a[121] = "Central|Coast|Eastern|Nairobi Area|North Eastern|Nyanza|Rift Valley|Western";
    $scope.s_a[122] = "Abaiang|Abemama|Aranuka|Arorae|Banaba|Banaba|Beru|Butaritari|Central Gilberts|Gilbert Islands|Kanton|Kiritimati|Kuria|Line Islands|Line Islands|Maiana|Makin|Marakei|Nikunau|Nonouti|Northern Gilberts|Onotoa|Phoenix Islands|Southern Gilberts|Tabiteuea|Tabuaeran|Tamana|Tarawa|Tarawa|Teraina";
    $scope.s_a[123] = "Chagang-do (Chagang Province)|Hamgyong-bukto (North Hamgyong Province)|Hamgyong-namdo (South Hamgyong Province)|Hwanghae-bukto (North Hwanghae Province)|Hwanghae-namdo (South Hwanghae Province)|Kaesong-si (Kaesong City)|Kangwon-do (Kangwon Province)|Namp'o-si (Namp'o City)|P'yongan-bukto (North P'yongan Province)|P'yongan-namdo (South P'yongan Province)|P'yongyang-si (P'yongyang City)|Yanggang-do (Yanggang Province)"
    $scope.s_a[124] = "Ch'ungch'ong-bukto|Ch'ungch'ong-namdo|Cheju-do|Cholla-bukto|Cholla-namdo|Inch'on-gwangyoksi|Kangwon-do|Kwangju-gwangyoksi|Kyonggi-do|Kyongsang-bukto|Kyongsang-namdo|Pusan-gwangyoksi|Soul-t'ukpyolsi|Taegu-gwangyoksi|Taejon-gwangyoksi|Ulsan-gwangyoksi";
    $scope.s_a[125] = "Al 'Asimah|Al Ahmadi|Al Farwaniyah|Al Jahra'|Hawalli";
    $scope.s_a[126] = "Batken Oblasty|Bishkek Shaary|Chuy Oblasty (Bishkek)|Jalal-Abad Oblasty|Naryn Oblasty|Osh Oblasty|Talas Oblasty|Ysyk-Kol Oblasty (Karakol)"
    $scope.s_a[127] = "Attapu|Bokeo|Bolikhamxai|Champasak|Houaphan|Khammouan|Louangnamtha|Louangphabang|Oudomxai|Phongsali|Salavan|Savannakhet|Viangchan|Viangchan|Xaignabouli|Xaisomboun|Xekong|Xiangkhoang";
    $scope.s_a[128] = "Aizkraukles Rajons|Aluksnes Rajons|Balvu Rajons|Bauskas Rajons|Cesu Rajons|Daugavpils|Daugavpils Rajons|Dobeles Rajons|Gulbenes Rajons|Jekabpils Rajons|Jelgava|Jelgavas Rajons|Jurmala|Kraslavas Rajons|Kuldigas Rajons|Leipaja|Liepajas Rajons|Limbazu Rajons|Ludzas Rajons|Madonas Rajons|Ogres Rajons|Preilu Rajons|Rezekne|Rezeknes Rajons|Riga|Rigas Rajons|Saldus Rajons|Talsu Rajons|Tukuma Rajons|Valkas Rajons|Valmieras Rajons|Ventspils|Ventspils Rajons";
    $scope.s_a[129] = "Beyrouth|Ech Chimal|Ej Jnoub|El Bekaa|Jabal Loubnane";
    $scope.s_a[130] = "Berea|Butha-Buthe|Leribe|Mafeteng|Maseru|Mohales Hoek|Mokhotlong|Qacha's Nek|Quthing|Thaba-Tseka";
    $scope.s_a[131] = "Bomi|Bong|Grand Bassa|Grand Cape Mount|Grand Gedeh|Grand Kru|Lofa|Margibi|Maryland|Montserrado|Nimba|River Cess|Sinoe";
    $scope.s_a[132] = "Ajdabiya|Al 'Aziziyah|Al Fatih|Al Jabal al Akhdar|Al Jufrah|Al Khums|Al Kufrah|An Nuqat al Khams|Ash Shati'|Awbari|Az Zawiyah|Banghazi|Darnah|Ghadamis|Gharyan|Misratah|Murzuq|Sabha|Sawfajjin|Surt|Tarabulus|Tarhunah|Tubruq|Yafran|Zlitan";
    $scope.s_a[133] = "Balzers|Eschen|Gamprin|Mauren|Planken|Ruggell|Schaan|Schellenberg|Triesen|Triesenberg|Vaduz";
    $scope.s_a[134] = "Akmenes Rajonas|Alytaus Rajonas|Alytus|Anyksciu Rajonas|Birstonas|Birzu Rajonas|Druskininkai|Ignalinos Rajonas|Jonavos Rajonas|Joniskio Rajonas|Jurbarko Rajonas|Kaisiadoriu Rajonas|Kaunas|Kauno Rajonas|Kedainiu Rajonas|Kelmes Rajonas|Klaipeda|Klaipedos Rajonas|Kretingos Rajonas|Kupiskio Rajonas|Lazdiju Rajonas|Marijampole|Marijampoles Rajonas|Mazeikiu Rajonas|Moletu Rajonas|Neringa Pakruojo Rajonas|Palanga|Panevezio Rajonas|Panevezys|Pasvalio Rajonas|Plunges Rajonas|Prienu Rajonas|Radviliskio Rajonas|Raseiniu Rajonas|Rokiskio Rajonas|Sakiu Rajonas|Salcininku Rajonas|Siauliai|Siauliu Rajonas|Silales Rajonas|Silutes Rajonas|Sirvintu Rajonas|Skuodo Rajonas|Svencioniu Rajonas|Taurages Rajonas|Telsiu Rajonas|Traku Rajonas|Ukmerges Rajonas|Utenos Rajonas|Varenos Rajonas|Vilkaviskio Rajonas|Vilniaus Rajonas|Vilnius|Zarasu Rajonas";
    $scope.s_a[135] = "Diekirch|Grevenmacher|Luxembourg";
    $scope.s_a[136] = "Macau";
    $scope.s_a[137] = "Aracinovo|Bac|Belcista|Berovo|Bistrica|Bitola|Blatec|Bogdanci|Bogomila|Bogovinje|Bosilovo|Brvenica|Cair (Skopje)|Capari|Caska|Cegrane|Centar (Skopje)|Centar Zupa|Cesinovo|Cucer-Sandevo|Debar|Delcevo|Delogozdi|Demir Hisar|Demir Kapija|Dobrusevo|Dolna Banjica|Dolneni|Dorce Petrov (Skopje)|Drugovo|Dzepciste|Gazi Baba (Skopje)|Gevgelija|Gostivar|Gradsko|Ilinden|Izvor|Jegunovce|Kamenjane|Karbinci|Karpos (Skopje)|Kavadarci|Kicevo|Kisela Voda (Skopje)|Klecevce|Kocani|Konce|Kondovo|Konopiste|Kosel|Kratovo|Kriva Palanka|Krivogastani|Krusevo|Kuklis|Kukurecani|Kumanovo|Labunista|Lipkovo|Lozovo|Lukovo|Makedonska Kamenica|Makedonski Brod|Mavrovi Anovi|Meseista|Miravci|Mogila|Murtino|Negotino|Negotino-Poloska|Novaci|Novo Selo|Oblesevo|Ohrid|Orasac|Orizari|Oslomej|Pehcevo|Petrovec|Plasnia|Podares|Prilep|Probistip|Radovis|Rankovce|Resen|Rosoman|Rostusa|Samokov|Saraj|Sipkovica|Sopiste|Sopotnika|Srbinovo|Star Dojran|Staravina|Staro Nagoricane|Stip|Struga|Strumica|Studenicani|Suto Orizari (Skopje)|Sveti Nikole|Tearce|Tetovo|Topolcani|Valandovo|Vasilevo|Veles|Velesta|Vevcani|Vinica|Vitoliste|Vranestica|Vrapciste|Vratnica|Vrutok|Zajas|Zelenikovo|Zileno|Zitose|Zletovo|Zrnovci";
    $scope.s_a[138] = "Antananarivo|Antsiranana|Fianarantsoa|Mahajanga|Toamasina|Toliara";
    $scope.s_a[139] = "Balaka|Blantyre|Chikwawa|Chiradzulu|Chitipa|Dedza|Dowa|Karonga|Kasungu|Likoma|Lilongwe|Machinga (Kasupe)|Mangochi|Mchinji|Mulanje|Mwanza|Mzimba|Nkhata Bay|Nkhotakota|Nsanje|Ntcheu|Ntchisi|Phalombe|Rumphi|Salima|Thyolo|Zomba";
    $scope.s_a[140] = "Johor|Kedah|Kelantan|Labuan|Melaka|Negeri Sembilan|Pahang|Perak|Perlis|Pulau Pinang|Sabah|Sarawak|Selangor|Terengganu|Wilayah Persekutuan";
    $scope.s_a[141] = "Alifu|Baa|Dhaalu|Faafu|Gaafu Alifu|Gaafu Dhaalu|Gnaviyani|Haa Alifu|Haa Dhaalu|Kaafu|Laamu|Lhaviyani|Maale|Meemu|Noonu|Raa|Seenu|Shaviyani|Thaa|Vaavu";
    $scope.s_a[142] = "Gao|Kayes|Kidal|Koulikoro|Mopti|Segou|Sikasso|Tombouctou";
    $scope.s_a[143] = "Valletta";
    $scope.s_a[144] = "Man, Isle of";
    $scope.s_a[145] = "Ailinginae|Ailinglaplap|Ailuk|Arno|Aur|Bikar|Bikini|Bokak|Ebon|Enewetak|Erikub|Jabat|Jaluit|Jemo|Kili|Kwajalein|Lae|Lib|Likiep|Majuro|Maloelap|Mejit|Mili|Namorik|Namu|Rongelap|Rongrik|Toke|Ujae|Ujelang|Utirik|Wotho|Wotje";
    $scope.s_a[146] = "Martinique";
    $scope.s_a[147] = "Adrar|Assaba|Brakna|Dakhlet Nouadhibou|Gorgol|Guidimaka|Hodh Ech Chargui|Hodh El Gharbi|Inchiri|Nouakchott|Tagant|Tiris Zemmour|Trarza";
    $scope.s_a[148] = "Agalega Islands|Black River|Cargados Carajos Shoals|Flacq|Grand Port|Moka|Pamplemousses|Plaines Wilhems|Port Louis|Riviere du Rempart|Rodrigues|Savanne";
    $scope.s_a[149] = "Mayotte";
    $scope.s_a[150] = "Aguascalientes|Baja California|Baja California Sur|Campeche|Chiapas|Chihuahua|Coahuila de Zaragoza|Colima|Distrito Federal|Durango|Guanajuato|Guerrero|Hidalgo|Jalisco|Mexico|Michoacan de Ocampo|Morelos|Nayarit|Nuevo Leon|Oaxaca|Puebla|Queretaro de Arteaga|Quintana Roo|San Luis Potosi|Sinaloa|Sonora|Tabasco|Tamaulipas|Tlaxcala|Veracruz-Llave|Yucatan|Zacatecas";
    $scope.s_a[151] = "Chuuk (Truk)|Kosrae|Pohnpei|Yap";
    $scope.s_a[152] = "Midway Islands";
    $scope.s_a[153] = "Balti|Cahul|Chisinau|Chisinau|Dubasari|Edinet|Gagauzia|Lapusna|Orhei|Soroca|Tighina|Ungheni";
    $scope.s_a[154] = "Fontvieille|La Condamine|Monaco-Ville|Monte-Carlo";
    $scope.s_a[155] = "Arhangay|Bayan-Olgiy|Bayanhongor|Bulgan|Darhan|Dornod|Dornogovi|Dundgovi|Dzavhan|Erdenet|Govi-Altay|Hentiy|Hovd|Hovsgol|Omnogovi|Ovorhangay|Selenge|Suhbaatar|Tov|Ulaanbaatar|Uvs";
    $scope.s_a[156] = "Saint Anthony|Saint Georges|Saint Peter's";
    $scope.s_a[157] = "Agadir|Al Hoceima|Azilal|Ben Slimane|Beni Mellal|Boulemane|Casablanca|Chaouen|El Jadida|El Kelaa des Srarhna|Er Rachidia|Essaouira|Fes|Figuig|Guelmim|Ifrane|Kenitra|Khemisset|Khenifra|Khouribga|Laayoune|Larache|Marrakech|Meknes|Nador|Ouarzazate|Oujda|Rabat-Sale|Safi|Settat|Sidi Kacem|Tan-Tan|Tanger|Taounate|Taroudannt|Tata|Taza|Tetouan|Tiznit";
    $scope.s_a[158] = "Cabo Delgado|Gaza|Inhambane|Manica|Maputo|Nampula|Niassa|Sofala|Tete|Zambezia";
    $scope.s_a[159] = "Caprivi|Erongo|Hardap|Karas|Khomas|Kunene|Ohangwena|Okavango|Omaheke|Omusati|Oshana|Oshikoto|Otjozondjupa";
    $scope.s_a[160] = "Aiwo|Anabar|Anetan|Anibare|Baiti|Boe|Buada|Denigomodu|Ewa|Ijuw|Meneng|Nibok|Uaboe|Yaren";
    $scope.s_a[161] = "Bagmati|Bheri|Dhawalagiri|Gandaki|Janakpur|Karnali|Kosi|Lumbini|Mahakali|Mechi|Narayani|Rapti|Sagarmatha|Seti";
    $scope.s_a[162] = "Drenthe|Flevoland|Friesland|Gelderland|Groningen|Limburg|Noord-Brabant|Noord-Holland|Overijssel|Utrecht|Zeeland|Zuid-Holland";
    $scope.s_a[163] = "Netherlands Antilles";
    $scope.s_a[164] = "Iles Loyaute|Nord|Sud";
    $scope.s_a[165] = "Akaroa|Amuri|Ashburton|Bay of Islands|Bruce|Buller|Chatham Islands|Cheviot|Clifton|Clutha|Cook|Dannevirke|Egmont|Eketahuna|Ellesmere|Eltham|Eyre|Featherston|Franklin|Golden Bay|Great Barrier Island|Grey|Hauraki Plains|Hawera|Hawke's Bay|Heathcote|Hikurangi|Hobson|Hokianga|Horowhenua|Hurunui|Hutt|Inangahua|Inglewood|Kaikoura|Kairanga|Kiwitea|Lake|Mackenzie|Malvern|Manaia|Manawatu|Mangonui|Maniototo|Marlborough|Masterton|Matamata|Mount Herbert|Ohinemuri|Opotiki|Oroua|Otamatea|Otorohanga|Oxford|Pahiatua|Paparua|Patea|Piako|Pohangina|Raglan|Rangiora|Rangitikei|Rodney|Rotorua|Runanga|Saint Kilda|Silverpeaks|Southland|Stewart Island|Stratford|Strathallan|Taranaki|Taumarunui|Taupo|Tauranga|Thames-Coromandel|Tuapeka|Vincent|Waiapu|Waiheke|Waihemo|Waikato|Waikohu|Waimairi|Waimarino|Waimate|Waimate West|Waimea|Waipa|Waipawa|Waipukurau|Wairarapa South|Wairewa|Wairoa|Waitaki|Waitomo|Waitotara|Wallace|Wanganui|Waverley|Westland|Whakatane|Whangarei|Whangaroa|Woodville";
    $scope.s_a[166] = "Atlantico Norte|Atlantico Sur|Boaco|Carazo|Chinandega|Chontales|Esteli|Granada|Jinotega|Leon|Madriz|Managua|Masaya|Matagalpa|Nueva Segovia|Rio San Juan|Rivas";
    $scope.s_a[167] = "Agadez|Diffa|Dosso|Maradi|Niamey|Tahoua|Tillaberi|Zinder";
    $scope.s_a[168] = "Abia|Abuja Federal Capital Territory|Adamawa|Akwa Ibom|Anambra|Bauchi|Bayelsa|Benue|Borno|Cross River|Delta|Ebonyi|Edo|Ekiti|Enugu|Gombe|Imo|Jigawa|Kaduna|Kano|Katsina|Kebbi|Kogi|Kwara|Lagos|Nassarawa|Niger|Ogun|Ondo|Osun|Oyo|Plateau|Rivers|Sokoto|Taraba|Yobe|Zamfara";
    $scope.s_a[169] = "Niue";
    $scope.s_a[170] = "Norfolk Island";
    $scope.s_a[171] = "Northern Islands|Rota|Saipan|Tinian";
    $scope.s_a[172] = "Akershus|Aust-Agder|Buskerud|Finnmark|Hedmark|Hordaland|More og Romsdal|Nord-Trondelag|Nordland|Oppland|Oslo|Ostfold|Rogaland|Sogn og Fjordane|Sor-Trondelag|Telemark|Troms|Vest-Agder|Vestfold";
    $scope.s_a[173] = "Ad Dakhiliyah|Al Batinah|Al Wusta|Ash Sharqiyah|Az Zahirah|Masqat|Musandam|Zufar";
    $scope.s_a[174] = "Balochistan|Federally Administered Tribal Areas|Islamabad Capital Territory|North-West Frontier Province|Punjab|Sindh";
    $scope.s_a[175] = "Aimeliik|Airai|Angaur|Hatobohei|Kayangel|Koror|Melekeok|Ngaraard|Ngarchelong|Ngardmau|Ngatpang|Ngchesar|Ngeremlengui|Ngiwal|Palau Island|Peleliu|Sonsoral|Tobi";
    $scope.s_a[176] = "Bocas del Toro|Chiriqui|Cocle|Colon|Darien|Herrera|Los Santos|Panama|San Blas|Veraguas";
    $scope.s_a[177] = "Bougainville|Central|Chimbu|East New Britain|East Sepik|Eastern Highlands|Enga|Gulf|Madang|Manus|Milne Bay|Morobe|National Capital|New Ireland|Northern|Sandaun|Southern Highlands|West New Britain|Western|Western Highlands";
    $scope.s_a[178] = "Alto Paraguay|Alto Parana|Amambay|Asuncion (city)|Boqueron|Caaguazu|Caazapa|Canindeyu|Central|Concepcion|Cordillera|Guaira|Itapua|Misiones|Neembucu|Paraguari|Presidente Hayes|San Pedro";
    $scope.s_a[179] = "Amazonas|Ancash|Apurimac|Arequipa|Ayacucho|Cajamarca|Callao|Cusco|Huancavelica|Huanuco|Ica|Junin|La Libertad|Lambayeque|Lima|Loreto|Madre de Dios|Moquegua|Pasco|Piura|Puno|San Martin|Tacna|Tumbes|Ucayali";
    $scope.s_a[180] = "Abra|Agusan del Norte|Agusan del Sur|Aklan|Albay|Angeles|Antique|Aurora|Bacolod|Bago|Baguio|Bais|Basilan|Basilan City|Bataan|Batanes|Batangas|Batangas City|Benguet|Bohol|Bukidnon|Bulacan|Butuan|Cabanatuan|Cadiz|Cagayan|Cagayan de Oro|Calbayog|Caloocan|Camarines Norte|Camarines Sur|Camiguin|Canlaon|Capiz|Catanduanes|Cavite|Cavite City|Cebu|Cebu City|Cotabato|Dagupan|Danao|Dapitan|Davao City Davao|Davao del Sur|Davao Oriental|Dipolog|Dumaguete|Eastern Samar|General Santos|Gingoog|Ifugao|Iligan|Ilocos Norte|Ilocos Sur|Iloilo|Iloilo City|Iriga|Isabela|Kalinga-Apayao|La Carlota|La Union|Laguna|Lanao del Norte|Lanao del Sur|Laoag|Lapu-Lapu|Legaspi|Leyte|Lipa|Lucena|Maguindanao|Mandaue|Manila|Marawi|Marinduque|Masbate|Mindoro Occidental|Mindoro Oriental|Misamis Occidental|Misamis Oriental|Mountain|Naga|Negros Occidental|Negros Oriental|North Cotabato|Northern Samar|Nueva Ecija|Nueva Vizcaya|Olongapo|Ormoc|Oroquieta|Ozamis|Pagadian|Palawan|Palayan|Pampanga|Pangasinan|Pasay|Puerto Princesa|Quezon|Quezon City|Quirino|Rizal|Romblon|Roxas|Samar|San Carlos (in Negros Occidental)|San Carlos (in Pangasinan)|San Jose|San Pablo|Silay|Siquijor|Sorsogon|South Cotabato|Southern Leyte|Sultan Kudarat|Sulu|Surigao|Surigao del Norte|Surigao del Sur|Tacloban|Tagaytay|Tagbilaran|Tangub|Tarlac|Tawitawi|Toledo|Trece Martires|Zambales|Zamboanga|Zamboanga del Norte|Zamboanga del Sur";
    $scope.s_a[181] = "Pitcaim Islands";
    $scope.s_a[182] = "Dolnoslaskie|Kujawsko-Pomorskie|Lodzkie|Lubelskie|Lubuskie|Malopolskie|Mazowieckie|Opolskie|Podkarpackie|Podlaskie|Pomorskie|Slaskie|Swietokrzyskie|Warminsko-Mazurskie|Wielkopolskie|Zachodniopomorskie";
    $scope.s_a[183] = "Acores (Azores)|Aveiro|Beja|Braga|Braganca|Castelo Branco|Coimbra|Evora|Faro|Guarda|Leiria|Lisboa|Madeira|Portalegre|Porto|Santarem|Setubal|Viana do Castelo|Vila Real|Viseu";
    $scope.s_a[184] = "Adjuntas|Aguada|Aguadilla|Aguas Buenas|Aibonito|Anasco|Arecibo|Arroyo|Barceloneta|Barranquitas|Bayamon|Cabo Rojo|Caguas|Camuy|Canovanas|Carolina|Catano|Cayey|Ceiba|Ciales|Cidra|Coamo|Comerio|Corozal|Culebra|Dorado|Fajardo|Florida|Guanica|Guayama|Guayanilla|Guaynabo|Gurabo|Hatillo|Hormigueros|Humacao|Isabela|Jayuya|Juana Diaz|Juncos|Lajas|Lares|Las Marias|Las Piedras|Loiza|Luquillo|Manati|Maricao|Maunabo|Mayaguez|Moca|Morovis|Naguabo|Naranjito|Orocovis|Patillas|Penuelas|Ponce|Quebradillas|Rincon|Rio Grande|Sabana Grande|Salinas|San German|San Juan|San Lorenzo|San Sebastian|Santa Isabel|Toa Alta|Toa Baja|Trujillo Alto|Utuado|Vega Alta|Vega Baja|Vieques|Villalba|Yabucoa|Yauco";
    $scope.s_a[185] = "Ad Dawhah|Al Ghuwayriyah|Al Jumayliyah|Al Khawr|Al Wakrah|Ar Rayyan|Jarayan al Batinah|Madinat ash Shamal|Umm Salal";
    $scope.s_a[186] = "Reunion";
    $scope.s_a[187] = "Alba|Arad|Arges|Bacau|Bihor|Bistrita-Nasaud|Botosani|Braila|Brasov|Bucuresti|Buzau|Calarasi|Caras-Severin|Cluj|Constanta|Covasna|Dimbovita|Dolj|Galati|Giurgiu|Gorj|Harghita|Hunedoara|Ialomita|Iasi|Maramures|Mehedinti|Mures|Neamt|Olt|Prahova|Salaj|Satu Mare|Sibiu|Suceava|Teleorman|Timis|Tulcea|Vaslui|Vilcea|Vrancea";
    $scope.s_a[188] = "Adygeya (Maykop)|Aginskiy Buryatskiy (Aginskoye)|Altay (Gorno-Altaysk)|Altayskiy (Barnaul)|Amurskaya (Blagoveshchensk)|Arkhangel'skaya|Astrakhanskaya|Bashkortostan (Ufa)|Belgorodskaya|Bryanskaya|Buryatiya (Ulan-Ude)|Chechnya (Groznyy)|Chelyabinskaya|Chitinskaya|Chukotskiy (Anadyr')|Chuvashiya (Cheboksary)|Dagestan (Makhachkala)|Evenkiyskiy (Tura)|Ingushetiya (Nazran')|Irkutskaya|Ivanovskaya|Kabardino-Balkariya (Nal'chik)|Kaliningradskaya|Kalmykiya (Elista)|Kaluzhskaya|Kamchatskaya (Petropavlovsk-Kamchatskiy)|Karachayevo-Cherkesiya (Cherkessk)|Kareliya (Petrozavodsk)|Kemerovskaya|Khabarovskiy|Khakasiya (Abakan)|Khanty-Mansiyskiy (Khanty-Mansiysk)|Kirovskaya|Komi (Syktyvkar)|Komi-Permyatskiy (Kudymkar)|Koryakskiy (Palana)|Kostromskaya|Krasnodarskiy|Krasnoyarskiy|Kurganskaya|Kurskaya|Leningradskaya|Lipetskaya|Magadanskaya|Mariy-El (Yoshkar-Ola)|Mordoviya (Saransk)|Moskovskaya|Moskva (Moscow)|Murmanskaya|Nenetskiy (Nar'yan-Mar)|Nizhegorodskaya|Novgorodskaya|Novosibirskaya|Omskaya|Orenburgskaya|Orlovskaya (Orel)|Penzenskaya|Permskaya|Primorskiy (Vladivostok)|Pskovskaya|Rostovskaya|Ryazanskaya|Sakha (Yakutsk)|Sakhalinskaya (Yuzhno-Sakhalinsk)|Samarskaya|Sankt-Peterburg (Saint Petersburg)|Saratovskaya|Severnaya Osetiya-Alaniya [North Ossetia] (Vladikavkaz)|Smolenskaya|Stavropol'skiy|Sverdlovskaya (Yekaterinburg)|Tambovskaya|Tatarstan (Kazan')|Taymyrskiy (Dudinka)|Tomskaya|Tul'skaya|Tverskaya|Tyumenskaya|Tyva (Kyzyl)|Udmurtiya (Izhevsk)|Ul'yanovskaya|Ust'-Ordynskiy Buryatskiy (Ust'-Ordynskiy)|Vladimirskaya|Volgogradskaya|Vologodskaya|Voronezhskaya|Yamalo-Nenetskiy (Salekhard)|Yaroslavskaya|Yevreyskaya";
    $scope.s_a[189] = "Butare|Byumba|Cyangugu|Gikongoro|Gisenyi|Gitarama|Kibungo|Kibuye|Kigali Rurale|Kigali-ville|Ruhengeri|Umutara";
    $scope.s_a[190] = "Ascension|Saint Helena|Tristan da Cunha";
    $scope.s_a[191] = "Christ Church Nichola Town|Saint Anne Sandy Point|Saint George Basseterre|Saint George Gingerland|Saint James Windward|Saint John Capisterre|Saint John Figtree|Saint Mary Cayon|Saint Paul Capisterre|Saint Paul Charlestown|Saint Peter Basseterre|Saint Thomas Lowland|Saint Thomas Middle Island|Trinity Palmetto Point";
    $scope.s_a[192] = "Anse-la-Raye|Castries|Choiseul|Dauphin|Dennery|Gros Islet|Laborie|Micoud|Praslin|Soufriere|Vieux Fort";
    $scope.s_a[193] = "Miquelon|Saint Pierre";
    $scope.s_a[194] = "Charlotte|Grenadines|Saint Andrew|Saint David|Saint George|Saint Patrick";
    $scope.s_a[195] = "A'ana|Aiga-i-le-Tai|Atua|Fa'asaleleaga|Gaga'emauga|Gagaifomauga|Palauli|Satupa'itea|Tuamasaga|Va'a-o-Fonoti|Vaisigano";
    $scope.s_a[196] = "Acquaviva|Borgo Maggiore|Chiesanuova|Domagnano|Faetano|Fiorentino|Monte Giardino|San Marino|Serravalle";
    $scope.s_a[197] = "Principe|Sao Tome";
    $scope.s_a[198] = "'Asir|Al Bahah|Al Hudud ash Shamaliyah|Al Jawf|Al Madinah|Al Qasim|Ar Riyad|Ash Sharqiyah (Eastern Province)|Ha'il|Jizan|Makkah|Najran|Tabuk";
    $scope.s_a[199] = "Aberdeen City|Aberdeenshire|Angus|Argyll and Bute|City of Edinburgh|Clackmannanshire|Dumfries and Galloway|Dundee City|East Ayrshire|East Dunbartonshire|East Lothian|East Renfrewshire|Eilean Siar (Western Isles)|Falkirk|Fife|Glasgow City|Highland|Inverclyde|Midlothian|Moray|North Ayrshire|North Lanarkshire|Orkney Islands|Perth and Kinross|Renfrewshire|Shetland Islands|South Ayrshire|South Lanarkshire|Stirling|The Scottish Borders|West Dunbartonshire|West Lothian";
    $scope.s_a[200] = "Dakar|Diourbel|Fatick|Kaolack|Kolda|Louga|Saint-Louis|Tambacounda|Thies|Ziguinchor";
    $scope.s_a[201] = "Anse aux Pins|Anse Boileau|Anse Etoile|Anse Louis|Anse Royale|Baie Lazare|Baie Sainte Anne|Beau Vallon|Bel Air|Bel Ombre|Cascade|Glacis|Grand' Anse (on Mahe)|Grand' Anse (on Praslin)|La Digue|La Riviere Anglaise|Mont Buxton|Mont Fleuri|Plaisance|Pointe La Rue|Port Glaud|Saint Louis|Takamaka";
    $scope.s_a[202] = "Eastern|Northern|Southern|Western";
    $scope.s_a[203] = "Singapore";
    $scope.s_a[204] = "Banskobystricky|Bratislavsky|Kosicky|Nitriansky|Presovsky|Trenciansky|Trnavsky|Zilinsky";
    $scope.s_a[205] = "Ajdovscina|Beltinci|Bled|Bohinj|Borovnica|Bovec|Brda|Brezice|Brezovica|Cankova-Tisina|Celje|Cerklje na Gorenjskem|Cerknica|Cerkno|Crensovci|Crna na Koroskem|Crnomelj|Destrnik-Trnovska Vas|Divaca|Dobrepolje|Dobrova-Horjul-Polhov Gradec|Dol pri Ljubljani|Domzale|Dornava|Dravograd|Duplek|Gorenja Vas-Poljane|Gorisnica|Gornja Radgona|Gornji Grad|Gornji Petrovci|Grosuplje|Hodos Salovci|Hrastnik|Hrpelje-Kozina|Idrija|Ig|Ilirska Bistrica|Ivancna Gorica|Izola|Jesenice|Jursinci|Kamnik|Kanal|Kidricevo|Kobarid|Kobilje|Kocevje|Komen|Koper|Kozje|Kranj|Kranjska Gora|Krsko|Kungota|Kuzma|Lasko|Lenart|Lendava|Litija|Ljubljana|Ljubno|Ljutomer|Logatec|Loska Dolina|Loski Potok|Luce|Lukovica|Majsperk|Maribor|Medvode|Menges|Metlika|Mezica|Miren-Kostanjevica|Mislinja|Moravce|Moravske Toplice|Mozirje|Murska Sobota|Muta|Naklo|Nazarje|Nova Gorica|Novo Mesto|Odranci|Ormoz|Osilnica|Pesnica|Piran|Pivka|Podcetrtek|Podvelka-Ribnica|Postojna|Preddvor|Ptuj|Puconci|Race-Fram|Radece|Radenci|Radlje ob Dravi|Radovljica|Ravne-Prevalje|Ribnica|Rogasevci|Rogaska Slatina|Rogatec|Ruse|Semic|Sencur|Sentilj|Sentjernej|Sentjur pri Celju|Sevnica|Sezana|Skocjan|Skofja Loka|Skofljica|Slovenj Gradec|Slovenska Bistrica|Slovenske Konjice|Smarje pri Jelsah|Smartno ob Paki|Sostanj|Starse|Store|Sveti Jurij|Tolmin|Trbovlje|Trebnje|Trzic|Turnisce|Velenje|Velike Lasce|Videm|Vipava|Vitanje|Vodice|Vojnik|Vrhnika|Vuzenica|Zagorje ob Savi|Zalec|Zavrc|Zelezniki|Ziri|Zrece";
    $scope.s_a[206] = "Bellona|Central|Choiseul (Lauru)|Guadalcanal|Honiara|Isabel|Makira|Malaita|Rennell|Temotu|Western";
    $scope.s_a[207] = "Awdal|Bakool|Banaadir|Bari|Bay|Galguduud|Gedo|Hiiraan|Jubbada Dhexe|Jubbada Hoose|Mudug|Nugaal|Sanaag|Shabeellaha Dhexe|Shabeellaha Hoose|Sool|Togdheer|Woqooyi Galbeed";
    $scope.s_a[208] = "Eastern Cape|Free State|Gauteng|KwaZulu-Natal|Mpumalanga|North-West|Northern Cape|Northern Province|Western Cape";
    $scope.s_a[209] = "Bird Island|Bristol Island|Clerke Rocks|Montagu Island|Saunders Island|South Georgia|Southern Thule|Traversay Islands";
    $scope.s_a[210] = "Andalucia|Aragon|Asturias|Baleares (Balearic Islands)|Canarias (Canary Islands)|Cantabria|Castilla y Leon|Castilla-La Mancha|Cataluna|Ceuta|Communidad Valencian|Extremadura|Galicia|Islas Chafarinas|La Rioja|Madrid|Melilla|Murcia|Navarra|Pais Vasco (Basque Country)|Penon de Alhucemas|Penon de Velez de la Gomera";
    $scope.s_a[211] = "Spratly Islands";
    $scope.s_a[212] = "Central|Eastern|North Central|North Eastern|North Western|Northern|Sabaragamuwa|Southern|Uva|Western";
    $scope.s_a[213] = "A'ali an Nil|Al Bahr al Ahmar|Al Buhayrat|Al Jazirah|Al Khartum|Al Qadarif|Al Wahdah|An Nil al Abyad|An Nil al Azraq|Ash Shamaliyah|Bahr al Jabal|Gharb al Istiwa'iyah|Gharb Bahr al Ghazal|Gharb Darfur|Gharb Kurdufan|Janub Darfur|Janub Kurdufan|Junqali|Kassala|Nahr an Nil|Shamal Bahr al Ghazal|Shamal Darfur|Shamal Kurdufan|Sharq al Istiwa'iyah|Sinnar|Warab";
    $scope.s_a[214] = "Brokopondo|Commewijne|Coronie|Marowijne|Nickerie|Para|Paramaribo|Saramacca|Sipaliwini|Wanica";
    $scope.s_a[215] = "Barentsoya|Bjornoya|Edgeoya|Hopen|Kvitoya|Nordaustandet|Prins Karls Forland|Spitsbergen";
    $scope.s_a[216] = "Hhohho|Lubombo|Manzini|Shiselweni";
    $scope.s_a[217] = "Blekinge|Dalarnas|Gavleborgs|Gotlands|Hallands|Jamtlands|Jonkopings|Kalmar|Kronobergs|Norrbottens|Orebro|Ostergotlands|Skane|Sodermanlands|Stockholms|Uppsala|Varmlands|Vasterbottens|Vasternorrlands|Vastmanlands|Vastra Gotalands";
    $scope.s_a[218] = "Aargau|Ausser-Rhoden|Basel-Landschaft|Basel-Stadt|Bern|Fribourg|Geneve|Glarus|Graubunden|Inner-Rhoden|Jura|Luzern|Neuchatel|Nidwalden|Obwalden|Sankt Gallen|Schaffhausen|Schwyz|Solothurn|Thurgau|Ticino|Uri|Valais|Vaud|Zug|Zurich";
    $scope.s_a[219] = "Al Hasakah|Al Ladhiqiyah|Al Qunaytirah|Ar Raqqah|As Suwayda'|Dar'a|Dayr az Zawr|Dimashq|Halab|Hamah|Hims|Idlib|Rif Dimashq|Tartus";
    $scope.s_a[220] = "Chang-hua|Chi-lung|Chia-i|Chia-i|Chung-hsing-hsin-ts'un|Hsin-chu|Hsin-chu|Hua-lien|I-lan|Kao-hsiung|Kao-hsiung|Miao-li|Nan-t'ou|P'eng-hu|P'ing-tung|T'ai-chung|T'ai-chung|T'ai-nan|T'ai-nan|T'ai-pei|T'ai-pei|T'ai-tung|T'ao-yuan|Yun-lin";
    $scope.s_a[221] = "Viloyati Khatlon|Viloyati Leninobod|Viloyati Mukhtori Kuhistoni Badakhshon";
    $scope.s_a[222] = "Arusha|Dar es Salaam|Dodoma|Iringa|Kagera|Kigoma|Kilimanjaro|Lindi|Mara|Mbeya|Morogoro|Mtwara|Mwanza|Pemba North|Pemba South|Pwani|Rukwa|Ruvuma|Shinyanga|Singida|Tabora|Tanga|Zanzibar Central/South|Zanzibar North|Zanzibar Urban/West";
    $scope.s_a[223] = "Amnat Charoen|Ang Thong|Buriram|Chachoengsao|Chai Nat|Chaiyaphum|Chanthaburi|Chiang Mai|Chiang Rai|Chon Buri|Chumphon|Kalasin|Kamphaeng Phet|Kanchanaburi|Khon Kaen|Krabi|Krung Thep Mahanakhon (Bangkok)|Lampang|Lamphun|Loei|Lop Buri|Mae Hong Son|Maha Sarakham|Mukdahan|Nakhon Nayok|Nakhon Pathom|Nakhon Phanom|Nakhon Ratchasima|Nakhon Sawan|Nakhon Si Thammarat|Nan|Narathiwat|Nong Bua Lamphu|Nong Khai|Nonthaburi|Pathum Thani|Pattani|Phangnga|Phatthalung|Phayao|Phetchabun|Phetchaburi|Phichit|Phitsanulok|Phra Nakhon Si Ayutthaya|Phrae|Phuket|Prachin Buri|Prachuap Khiri Khan|Ranong|Ratchaburi|Rayong|Roi Et|Sa Kaeo|Sakon Nakhon|Samut Prakan|Samut Sakhon|Samut Songkhram|Sara Buri|Satun|Sing Buri|Sisaket|Songkhla|Sukhothai|Suphan Buri|Surat Thani|Surin|Tak|Trang|Trat|Ubon Ratchathani|Udon Thani|Uthai Thani|Uttaradit|Yala|Yasothon";
    $scope.s_a[224] = "Tobago";
    $scope.s_a[225] = "De La Kara|Des Plateaux|Des Savanes|Du Centre|Maritime";
    $scope.s_a[226] = "Atafu|Fakaofo|Nukunonu";
    $scope.s_a[227] = "Ha'apai|Tongatapu|Vava'u";
    $scope.s_a[228] = "Arima|Caroni|Mayaro|Nariva|Port-of-Spain|Saint Andrew|Saint David|Saint George|Saint Patrick|San Fernando|Victoria";
    $scope.s_a[229] = "Ariana|Beja|Ben Arous|Bizerte|El Kef|Gabes|Gafsa|Jendouba|Kairouan|Kasserine|Kebili|Mahdia|Medenine|Monastir|Nabeul|Sfax|Sidi Bou Zid|Siliana|Sousse|Tataouine|Tozeur|Tunis|Zaghouan";
    $scope.s_a[230] = "Adana|Adiyaman|Afyon|Agri|Aksaray|Amasya|Ankara|Antalya|Ardahan|Artvin|Aydin|Balikesir|Bartin|Batman|Bayburt|Bilecik|Bingol|Bitlis|Bolu|Burdur|Bursa|Canakkale|Cankiri|Corum|Denizli|Diyarbakir|Duzce|Edirne|Elazig|Erzincan|Erzurum|Eskisehir|Gaziantep|Giresun|Gumushane|Hakkari|Hatay|Icel|Igdir|Isparta|Istanbul|Izmir|Kahramanmaras|Karabuk|Karaman|Kars|Kastamonu|Kayseri|Kilis|Kirikkale|Kirklareli|Kirsehir|Kocaeli|Konya|Kutahya|Malatya|Manisa|Mardin|Mugla|Mus|Nevsehir|Nigde|Ordu|Osmaniye|Rize|Sakarya|Samsun|Sanliurfa|Siirt|Sinop|Sirnak|Sivas|Tekirdag|Tokat|Trabzon|Tunceli|Usak|Van|Yalova|Yozgat|Zonguldak";
    $scope.s_a[231] = "Ahal Welayaty|Balkan Welayaty|Dashhowuz Welayaty|Lebap Welayaty|Mary Welayaty";
    $scope.s_a[232] = "Tuvalu";
    $scope.s_a[233] = "Adjumani|Apac|Arua|Bugiri|Bundibugyo|Bushenyi|Busia|Gulu|Hoima|Iganga|Jinja|Kabale|Kabarole|Kalangala|Kampala|Kamuli|Kapchorwa|Kasese|Katakwi|Kibale|Kiboga|Kisoro|Kitgum|Kotido|Kumi|Lira|Luwero|Masaka|Masindi|Mbale|Mbarara|Moroto|Moyo|Mpigi|Mubende|Mukono|Nakasongola|Nebbi|Ntungamo|Pallisa|Rakai|Rukungiri|Sembabule|Soroti|Tororo";
    $scope.s_a[234] = "Avtonomna Respublika Krym (Simferopol')|Cherkas'ka (Cherkasy)|Chernihivs'ka (Chernihiv)|Chernivets'ka (Chernivtsi)|Dnipropetrovs'ka (Dnipropetrovs'k)|Donets'ka (Donets'k)|Ivano-Frankivs'ka (Ivano-Frankivs'k)|Kharkivs'ka (Kharkiv)|Khersons'ka (Kherson)|Khmel'nyts'ka (Khmel'nyts'kyy)|Kirovohrads'ka (Kirovohrad)|Kyyiv|Kyyivs'ka (Kiev)|L'vivs'ka (L'viv)|Luhans'ka (Luhans'k)|Mykolayivs'ka (Mykolayiv)|Odes'ka (Odesa)|Poltavs'ka (Poltava)|Rivnens'ka (Rivne)|Sevastopol'|Sums'ka (Sumy)|Ternopil's'ka (Ternopil')|Vinnyts'ka (Vinnytsya)|Volyns'ka (Luts'k)|Zakarpats'ka (Uzhhorod)|Zaporiz'ka (Zaporizhzhya)|Zhytomyrs'ka (Zhytomyr)"
    $scope.s_a[235] = "'Ajman|Abu Zaby (Abu Dhabi)|Al Fujayrah|Ash Shariqah (Sharjah)|Dubayy (Dubai)|Ra's al Khaymah|Umm al Qaywayn";
    $scope.s_a[236] = "Barking and Dagenham|Barnet|Barnsley|Bath and North East Somerset|Bedfordshire|Bexley|Birmingham|Blackburn with Darwen|Blackpool|Bolton|Bournemouth|Bracknell Forest|Bradford|Brent|Brighton and Hove|Bromley|Buckinghamshire|Bury|Calderdale|Cambridgeshire|Camden|Cheshire|City of Bristol|City of Kingston upon Hull|City of London|Cornwall|Coventry|Croydon|Cumbria|Darlington|Derby|Derbyshire|Devon|Doncaster|Dorset|Dudley|Durham|Ealing|East Riding of Yorkshire|East Sussex|Enfield|Essex|Gateshead|Gloucestershire|Greenwich|Hackney|Halton|Hammersmith and Fulham|Hampshire|Haringey|Harrow|Hartlepool|Havering|Herefordshire|Hertfordshire|Hillingdon|Hounslow|Isle of Wight|Islington|Kensington and Chelsea|Kent|Kingston upon Thames|Kirklees|Knowsley|Lambeth|Lancashire|Leeds|Leicester|Leicestershire|Lewisham|Lincolnshire|Liverpool|Luton|Manchester|Medway|Merton|Middlesbrough|Milton Keynes|Newcastle upon Tyne|Newham|Norfolk|North East Lincolnshire|North Lincolnshire|North Somerset|North Tyneside|North Yorkshire|Northamptonshire|Northumberland|Nottingham|Nottinghamshire|Oldham|Oxfordshire|Peterborough|Plymouth|Poole|Portsmouth|Reading|Redbridge|Redcar and Cleveland|Richmond upon Thames|Rochdale|Rotherham|Rutland|Salford|Sandwell|Sefton|Sheffield|Shropshire|Slough|Solihull|Somerset|South Gloucestershire|South Tyneside|Southampton|Southend-on-Sea|Southwark|St. Helens|Staffordshire|Stockport|Stockton-on-Tees|Stoke-on-Trent|Suffolk|Sunderland|Surrey|Sutton|Swindon|Tameside|Telford and Wrekin|Thurrock|Torbay|Tower Hamlets|Trafford|Wakefield|Walsall|Waltham Forest|Wandsworth|Warrington|Warwickshire|West Berkshire|West Sussex|Westminster|Wigan|Wiltshire|Windsor and Maidenhead|Wirral|Wokingham|Wolverhampton|Worcestershire|York";
    $scope.s_a[237] = "Artigas|Canelones|Cerro Largo|Colonia|Durazno|Flores|Florida|Lavalleja|Maldonado|Montevideo|Paysandu|Rio Negro|Rivera|Rocha|Salto|San Jose|Soriano|Tacuarembo|Treinta y Tres";
    $scope.s_a[238] = "Alabama|Alaska|Arizona|Arkansas|California|Colorado|Connecticut|Delaware|District of Columbia|Florida|Georgia|Hawaii|Idaho|Illinois|Indiana|Iowa|Kansas|Kentucky|Louisiana|Maine|Maryland|Massachusetts|Michigan|Minnesota|Mississippi|Missouri|Montana|Nebraska|Nevada|New Hampshire|New Jersey|New Mexico|New York|North Carolina|North Dakota|Ohio|Oklahoma|Oregon|Pennsylvania|Rhode Island|South Carolina|South Dakota|Tennessee|Texas|Utah|Vermont|Virginia|Washington|West Virginia|Wisconsin|Wyoming";
    $scope.s_a[239] = "Andijon Wiloyati|Bukhoro Wiloyati|Farghona Wiloyati|Jizzakh Wiloyati|Khorazm Wiloyati (Urganch)|Namangan Wiloyati|Nawoiy Wiloyati|Qashqadaryo Wiloyati (Qarshi)|Qoraqalpoghiston (Nukus)|Samarqand Wiloyati|Sirdaryo Wiloyati (Guliston)|Surkhondaryo Wiloyati (Termiz)|Toshkent Shahri|Toshkent Wiloyati";
    $scope.s_a[240] = "Malampa|Penama|Sanma|Shefa|Tafea|Torba";
    $scope.s_a[241] = "Amazonas|Anzoategui|Apure|Aragua|Barinas|Bolivar|Carabobo|Cojedes|Delta Amacuro|Dependencias Federales|Distrito Federal|Falcon|Guarico|Lara|Merida|Miranda|Monagas|Nueva Esparta|Portuguesa|Sucre|Tachira|Trujillo|Vargas|Yaracuy|Zulia";
    $scope.s_a[242] = "An Giang|Ba Ria-Vung Tau|Bac Giang|Bac Kan|Bac Lieu|Bac Ninh|Ben Tre|Binh Dinh|Binh Duong|Binh Phuoc|Binh Thuan|Ca Mau|Can Tho|Cao Bang|Da Nang|Dac Lak|Dong Nai|Dong Thap|Gia Lai|Ha Giang|Ha Nam|Ha Noi|Ha Tay|Ha Tinh|Hai Duong|Hai Phong|Ho Chi Minh|Hoa Binh|Hung Yen|Khanh Hoa|Kien Giang|Kon Tum|Lai Chau|Lam Dong|Lang Son|Lao Cai|Long An|Nam Dinh|Nghe An|Ninh Binh|Ninh Thuan|Phu Tho|Phu Yen|Quang Binh|Quang Nam|Quang Ngai|Quang Ninh|Quang Tri|Soc Trang|Son La|Tay Ninh|Thai Binh|Thai Nguyen|Thanh Hoa|Thua Thien-Hue|Tien Giang|Tra Vinh|Tuyen Quang|Vinh Long|Vinh Phuc|Yen Bai";
    $scope.s_a[243] = "Saint Croix|Saint John|Saint Thomas";
    $scope.s_a[244] = "Blaenau Gwent|Bridgend|Caerphilly|Cardiff|Carmarthenshire|Ceredigion|Conwy|Denbighshire|Flintshire|Gwynedd|Isle of Anglesey|Merthyr Tydfil|Monmouthshire|Neath Port Talbot|Newport|Pembrokeshire|Powys|Rhondda Cynon Taff|Swansea|The Vale of Glamorgan|Torfaen|Wrexham";
    $scope.s_a[245] = "Alo|Sigave|Wallis";
    $scope.s_a[246] = "West Bank";
    $scope.s_a[247] = "Western Sahara";
    $scope.s_a[248] = "'Adan|'Ataq|Abyan|Al Bayda'|Al Hudaydah|Al Jawf|Al Mahrah|Al Mahwit|Dhamar|Hadhramawt|Hajjah|Ibb|Lahij|Ma'rib|Sa'dah|San'a'|Ta'izz";
    $scope.s_a[249] = "Kosovo|Montenegro|Serbia|Vojvodina";
    $scope.s_a[250] = "Central|Copperbelt|Eastern|Luapula|Lusaka|North-Western|Northern|Southern|Western";
    $scope.s_a[251] = "Bulawayo|Harare|ManicalandMashonaland Central|Mashonaland East|Mashonaland West|Masvingo|Matabeleland North|Matabeleland South|Midlands";

})

// This controller is bound to the "app.account" view
app.controller('AccountCtrl', function($scope, $rootScope, $http, $ionicPopup, $cordovaToast, $localstorage, $ionicLoading, $cordovaCamera, $cordovaFileTransfer) {

    $scope.lstState = $scope.s_a[0].split("|");
    //readonly property is used to control editability of account form
    $scope.readonly = true;
    $scope.startEdit = function() {
        $scope.readonly = false;
    };

    $scope.exTtitle = "";
    $scope.pathSelected = false;
    $scope.imageData = '';

    $scope.cancelEdit = function() {
        $scope.readonly = true;
        $scope.GetProfile();
    };

    $scope.UploadMyPhoto = function() {
        if($scope.imageData != '')
        {
            $scope.UploadImage($scope.imageData, $scope.objUser.Id);
        }
        else
        {
            $scope.pathSelected = false;
            $cordovaToast
            .show('There is problem to upadate profile. please try again.', 'long', 'center')
            .then(function(success) {
            }, function(error) {
            });
        }
    }

    $scope.cancel = function(){
        $scope.imageData = '';
        $scope.pathSelected = false;
    }

    $scope.GetProfile = function() {
        $rootScope.showLoading();
        var params = {
            UserId: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetProfileByUserId", { params: params }).success(function(data) {
            $scope.selectTitle(data.Title);
            $scope.GetStatesByCountry(data.Country);
            $scope.objUser = data;

            var objLogin = JSON.parse($localstorage.get('objLogin'));
            objLogin.avatar = data.Photo;
            $rootScope.user.avatar = objLogin.avatar;
            $localstorage.set("objLogin", JSON.stringify(objLogin));
            $rootScope.hideLoading();
        });
    }

    $scope.selectTitle = function(data){
        if(data == 0)
        {
            $scope.exTtitle = 'Miss';
        }
        else if(data == 1)
        {
            $scope.exTtitle = 'Ms';
        }
        else if(data == 2)
        {
            $scope.exTtitle = 'Mrs';
        }
        else if(data == 3)
        {
            $scope.exTtitle = 'Mr';
        }
    }

    $scope.GetProfile();

    $scope.GetStatesByCountry = function(country) {
        $scope.lstState = "";
        if($scope.objUser != null){
            $scope.objUser.State = "";
        }
        if(country !=  null)
        {
            for (var i = 0; i < $scope.country_arr.length; i++) {
                if (country == $scope.country_arr[i]) {
                    $scope.lstState = $scope.s_a[i].split("|");
                }
            }
        }
    }

    $scope.SaveProfile = function(objUser) {
        $rootScope.showLoading();
        var params = {
            UserId: $localstorage.get('UserId'),
        }
        $http.post($rootScope.API_Path + "SaveProfileByUserId", objUser, { params: params }).success(function(data) {
            $rootScope.hideLoading();
            if (data.success == 1) {
                $cordovaToast
                    .show(data.message, 'long', 'center')
                    .then(function(success) {
                        // success
                        $scope.GetProfile();
                    }, function(error) {
                        // error
                    });
                    $scope.readonly = true;
            }
            else
            {
                $cordovaToast
                    .show(data.message, 'long', 'center')
                    .then(function(success) {
                        // success
                        $scope.GetProfile();
                    }, function(error) {
                        // error
                    });
                    $scope.readonly = true;
            }
            //$scope.objUser = data;

        });
    }

    $scope.takePicture = function() {
        var options = {
            quality: 70,
            destinationType: Camera.DestinationType.FILE_URI,
            sourceType: Camera.PictureSourceType.CAMERA,
            allowEdit: true,
            encodingType: Camera.EncodingType.JPEG,
            targetWidth: 300,
            targetHeight: 300,
            popoverOptions: CameraPopoverOptions,
            saveToPhotoAlbum: true
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {
            $scope.imageData = imageData;
            $scope.pathSelected = true;
             // $scope.UploadImage(imageData, $scope.objUser.Id);
        }, function(err) {
            
        });
    };

    $scope.getPicture = function() {
        var options = {
            quality: 70,
            destinationType: Camera.DestinationType.FILE_URI,
            allowEdit: true,
            targetWidth: 200,
            targetHeight: 200,
            sourceType: 0
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {
            $scope.imageData = imageData;
            $scope.pathSelected = true;
           // $scope.UploadImage(imageData, $scope.objUser.Id);
        }, function(err) {
            
        });
    };

    $scope.UploadImage = function(path, OrderId) {

        var url = $rootScope.API_Path + "Upload";
        var targetPath = path;

        $ionicLoading.show({ template: '<p class="text-center">Uploading image...</p>' });

        var options = {
            fileKey: OrderId,
            fileName: OrderId,
            chunkedMode: false,
            mimeType: "image/jpg",
            // params: { 'directory': 'Upload', 'fileName': filename }
        };

        try{
            $cordovaFileTransfer.upload(url, targetPath, options).then(function(result) {
                $ionicLoading.hide();
                $ionicLoading.hide();
                $scope.GetProfile();
            }, function(err) {
                 $ionicLoading.hide();
                 alert('Failed to upload');
            }, function(progress) {
            });
        }
        catch(ex)
        {
            $ionicLoading.hide();
        }
    }
})


.controller('LoginCtrl', function($scope, $state, $rootScope, $localstorage, $http, $ionicPopup) {

    $scope.model = {
        uname: '',
        password: '',
    }

    $scope.CheckLoginStatus = function(){
        if($localstorage.get('UserId') != null && $localstorage.get('UserId') != 'null' && !angular.isUndefined($localstorage.get('UserId')))
        {
            if($localstorage.get('objLogin') != null && $localstorage.get('objLogin') != 'null' && !angular.isUndefined($localstorage.get('objLogin')))
            {
                try
                {
                    $rootScope.showLoading();
                    var params = {
                        UserId: $localstorage.get('UserId')
                    }
                    $http.get($rootScope.API_Path + "GetProfileByUserId", { params: params }).success(function(data) {
                        var objLogin = JSON.parse($localstorage.get('objLogin'));

                        objLogin.avatar = data.Photo;
                        $rootScope.user.avatar = objLogin.avatar;
                        
                        $localstorage.set("objLogin", JSON.stringify(objLogin));

                        $rootScope.user = {
                            email: objLogin.Email,
                            name: objLogin.UserName,
                            avatar: objLogin.avatar
                        };
                        $rootScope.hideLoading();
                        if($localstorage.get('Taketour') == null || $localstorage.get('Taketour') == 'null'){
                            $state.go('app.sliderpage');
                        }
                        else
                        {
                            $state.go('app.Dashboard');
                        }
                    });
                }
                catch(ex)
                {
                    $rootScope.hideLoading();
                    console.log('error' + ex);
                    $localstorage.set('UserId','');
                    $localstorage.set('objLogin','');
                    $localstorage.set('avatar','');
                }
            }
        }
    }

    $scope.Login = function() {
        $rootScope.showLoading();
        
        var params = {
            email: $scope.model.uname,
            password: $scope.model.password
        }

        $http.get("http://capitalbridge.com.au/unisocial/CheckUserLogin", { params: params }).success(function(data) {
            $scope.objUser = data;
            $rootScope.hideLoading();
            if (data.success == "1") {
                data.Data.avatar = data.avatar;

                $rootScope.user = {
                    email: data.Data.Email,
                    name: data.Data.UserName,
                    avatar: data.avatar
                };

                $localstorage.set('UserId', data.Data.Id);
                $localstorage.set("objLogin", JSON.stringify(data.Data));
                $localstorage.set("avatar", data.avatar);

                var alertPopup = $ionicPopup.alert({
                    title: "Login successfully"
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    if($localstorage.get('Taketour') == null || $localstorage.get('Taketour') == 'null'){
                        $state.go('app.sliderpage');
                    }
                    else
                    {
                        $state.go('app.Dashboard');
                    }
                });
            } else {
                var alertPopup = $ionicPopup.alert({
                    title: "Invalid username or password!"
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    return;
                });
            }
        });
    }

    $scope.CheckLoginStatus();

    // $scope.login1 = function() {
    //     //in this case we just set the user in $rootScope
    //     $rootScope.user = {
    //         email: "mary@ubiqtspaces.com",
    //         name: "Mary Ubiquitous",
    //         address: "Rue de Galvignac",
    //         city: "RonnieLand",
    //         zip: "00007",
    //         avatar: 'sampledata/images/avatar.jpg'
    //     };
    //     //finally, we route our app to the 'app.shop' view
    //     $state.go('app.Dashboard');
    // };

})


.controller('DashboardCtrl', function($scope, $rootScope, $localstorage,$http, $filter) {
    $scope.Init = function() {
        $scope.InitModel();
    }
    $scope.InitModel = function() {
        $scope.model = {
            totalCom : '0',
            currentCom : '0',
            totalrefCom:'0',
            currentrefCom:'0',
            totalBonus : '0',
            currentBonus : '0',
            bonusTitle: '',
            Description:'',
            EndDate:''
        }
        $rootScope.showLoading();
        var params = {
            Id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetreferrerBonus", { params: params }).success(function(data) {
            data.EndDate = $filter('date')(data.EndDate.substr(6, 13), "dd MMM yyyy");

            $scope.model.totalBonus = data.totalBonus;
            $scope.model.currentBonus = data.currentBouns;
            $scope.model.bonusTitle = data.bonusTitle;
            $scope.model.Description = data.Description;
            $scope.model.EndDate = data.EndDate;
            $http.get($rootScope.API_Path + "GetreferrerCommision", { params: params }).success(function(da) {
                $scope.model.totalCom = da.totalCom;
                $scope.model.totalrefCom = da.totalreferrelCom;
                $scope.model.currentCom = da.currentCom;
                $scope.model.currentrefCom = da.currentreferrelCom;
                $rootScope.hideLoading();
            });
        });
    }

    $scope.Init();
})

.controller('ProspectCtrl', function($scope, $state, $http, $rootScope, $localstorage) {
    $rootScope.showLoading();
    var params = {
        UserId: $localstorage.get('UserId')
    }
    $http.get($rootScope.API_Path + "GetProspect", { params: params }).success(function(data) {
        $scope.lstProspect = data;
        $rootScope.hideLoading();
    });

     $scope.addProspect = function(){
        var par = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetReffererByUserID", { params: par }).success(function(da) {
            $state.go('app.ShareProspect', {referrerId: da.Id});
        });
    };
})

.controller('ReffererCtrl', function($scope, $state, $http, $rootScope, $localstorage,$cordovaToast,$cordovaSocialSharing) {
    $rootScope.showLoading();
    var params = {
        UserId: $localstorage.get('UserId')
    }
    $http.get($rootScope.API_Path + "GetRefferer", { params: params }).success(function(data) {
        $scope.lstRefferer = data;
        $rootScope.hideLoading();
    });

    $scope.addReferrer = function(){
        var par = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetReffererByUserID", { params: par }).success(function(da) {
            $state.go('app.shareRefferer', {referrerId: da.Id});
        });
    };

    $scope.shareme = function(){
        $rootScope.showLoading();
        var params = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetReffererByUserID", { params: params }).success(function(data) {
            $rootScope.hideLoading();

            var message = "Want to make money by referring your friends. Join me! It’s really easy";
            var subject = "Referrer";
            var link = "http://capitalbridge.com.au/Referrers/referrer?RefID=" + data.Id;

            $cordovaSocialSharing.share(message, subject, null, link) // Share via native share sheet
            .then(function(result) {
                $cordovaToast
                .show("Shared successfully", 'long', 'center')
                .then(function(success) {
                }, function(error) {
                });
            }, function(err) {
                $cordovaToast
                .show("Shared failed", 'long', 'center')
                .then(function(success) {
                }, function(error) {
                });
            });
        });
    };
})

.controller('PropertyCtrl', function($scope, $http, $rootScope,$localstorage) {
    $rootScope.showLoading();
    var params = {
        id: $localstorage.get('UserId')
    }
    $http.get($rootScope.API_Path + "GetProperty", { params: params }).success(function(data) {
        $scope.lstProperty = data;
        $rootScope.hideLoading();
    });
})

.controller('ProspectDetailCtrl', function($scope, $http, $rootScope, $stateParams, $filter, $localstorage, $ionicPopup, $ionicScrollDelegate, $ionicLoading, $cordovaCamera, $cordovaFileTransfer) {

    $scope.readonly = true;
    $scope.InIt = function() {
        $rootScope.showLoading();
        $scope.lstState = $scope.s_a[0].split("|");
        var params = {
            id: $stateParams.ProspectId
        }
        $http.get($rootScope.API_Path + "GetProspectByID", { params: params }).success(function(data) {
            if (data.ProfileCreationDate != null) {
                data.ProfileCreationDate = $filter('date')(data.ProfileCreationDate.substr(6, 13), "MM/dd/yyyy hh:mm:ss a");
            }
            $scope.objProspect = data;

            $rootScope.hideLoading();
        });
    }

    $scope.InIt();
    $scope.pathSelected = false;
    $scope.imageData = '';

    $scope.UploadMyPhoto = function() {
        if($scope.imageData != '')
        {
            $scope.UploadImage($scope.imageData, $scope.objUser.Id);
        }
        else
        {
            $scope.pathSelected = false;
            $cordovaToast
            .show('There is problem to upadate profile. please try again.', 'long', 'center')
            .then(function(success) {
            }, function(error) {
            });
        }
    }

    $scope.cancel = function(){
        $scope.imageData = '';
        $scope.pathSelected = false;
    }

    $scope.startEdit = function() {
        $ionicScrollDelegate.scrollTop();
        $scope.readonly = false;
    };

    $scope.cancelEdit = function() {
        $ionicScrollDelegate.scrollTop();
        $scope.readonly = true;
        $scope.InIt();
    };

    $scope.GetStatesByCountry = function(country) {
        for (var i = 0; i < $scope.country_arr.length; i++) {
            if (country == $scope.country_arr[i]) {
                $scope.lstState = $scope.s_a[i].split("|");
            }
        }
    }

    $scope.SaveProspect = function(objProspect) {
        $rootScope.showLoading();
        var params = {
            UserId: $localstorage.get('UserId')
        }
        $http.post($rootScope.API_Path + "SaveProspect", objProspect, { params: params }).success(function(data) {
            $rootScope.hideLoading();
            if (data.success == 1) {
                var alertPopup = $ionicPopup.alert({
                    title: data.message
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    $ionicScrollDelegate.scrollTop();
                    $scope.readonly = true;
                    $scope.InIt();
                });
            }
            else
            {
                var alertPopup = $ionicPopup.alert({
                    title: data.message
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    $ionicScrollDelegate.scrollTop();
                    $scope.readonly = true;
                    $scope.InIt();
                });
            }
        });
    }

    $scope.takePicture = function() {
        var options = {
            quality: 70,
            destinationType: Camera.DestinationType.FILE_URI,
            sourceType: Camera.PictureSourceType.CAMERA,
            allowEdit: true,
            encodingType: Camera.EncodingType.JPEG,
            targetWidth: 300,
            targetHeight: 300,
            popoverOptions: CameraPopoverOptions,
            saveToPhotoAlbum: true
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {
            $scope.imageData = imageData;
            $scope.pathSelected = true;
            // $scope.UploadImage(imageData, $scope.objProspect.Id);
        }, function(err) {
            
        });
    };

    $scope.getPicture = function() {
        var options = {
            quality: 70,
            destinationType: Camera.DestinationType.FILE_URI,
            allowEdit: true,
            targetWidth: 200,
            targetHeight: 200,
            sourceType: 0
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {
            $scope.imageData = imageData;
            $scope.pathSelected = true;
          // $scope.UploadImage(imageData, $scope.objProspect.Id);
        }, function(err) {
            
        });
    };

    $scope.UploadImage = function(path, OrderId) {

        var url = $rootScope.API_Path + "UploadProspect";
        var targetPath = path;

        $ionicLoading.show({ template: '<p class="text-center">Uploading image...</p>' });

        var options = {
            fileKey: OrderId,
            fileName: OrderId,
            chunkedMode: false,
            mimeType: "image/jpg",
            // params: { 'directory': 'Upload', 'fileName': filename }
        };

        try{
            $cordovaFileTransfer.upload(url, targetPath, options).then(function(result) {
                $ionicLoading.hide();
                $ionicLoading.hide();
                $scope.InIt();
            }, function(err) {
                 $ionicLoading.hide();
                 alert('Failed to upload');
            }, function(progress) {
            });
        }
        catch(ex)
        {
            $ionicLoading.hide();
        }
    }

})

.controller('ReffererDetailCtrl', function($scope, $http, $rootScope, $stateParams, $localstorage, $ionicPopup, $ionicScrollDelegate, $cordovaFileTransfer, $cordovaCamera, $ionicLoading) {

    $scope.readonly = true;
    $scope.InIt = function() {
    $scope.lstProperties = [];
        $rootScope.showLoading();
        $scope.lstState = $scope.s_a[0].split("|");
        var params = {
            id: $stateParams.ReffererId
        }
        $http.get($rootScope.API_Path + "GetreferrerSalesDetail", { params: params }).success(function(list) {
            $scope.lstProperties = list;
            $rootScope.hideLoading();

            var params = {
                id: $stateParams.ReffererId
            }
            $http.get($rootScope.API_Path + "GetReffererByID", { params: params }).success(function(data) {
                $scope.GetStatesByCountry(data.Country);
                $scope.objRefferer = data;
                $rootScope.hideLoading();
            });
        });
    }

    $scope.InIt();
    $scope.pathSelected = false;
    $scope.imageData = '';

    $scope.UploadMyPhoto = function() {
        if($scope.imageData != '')
        {
            $scope.UploadImage($scope.imageData, $scope.objUser.Id);
        }
        else
        {
            $scope.pathSelected = false;
            $cordovaToast
            .show('There is problem to upadate profile. please try again.', 'long', 'center')
            .then(function(success) {
            }, function(error) {
            });
        }
    }

    $scope.cancel = function(){
        $scope.imageData = '';
        $scope.pathSelected = false;
    }


    $scope.startEdit = function() {
        $ionicScrollDelegate.scrollTop();
        $scope.readonly = false;
    };

    $scope.cancelEdit = function() {
        $ionicScrollDelegate.scrollTop();
        $scope.readonly = true;
        $scope.InIt();
    };

    $scope.GetStatesByCountry = function(country) {
        for (var i = 0; i < $scope.country_arr.length; i++) {
            if (country == $scope.country_arr[i]) {
                $scope.lstState = $scope.s_a[i].split("|");
            }
        }
    }

    $scope.SaveRefferer = function(objRefferer) {
        $rootScope.showLoading();
        var params = {
            UserId: $localstorage.get('UserId')
        }
        $http.post($rootScope.API_Path + "SaveRefferer", objRefferer, { params: params }).success(function(data) {
            $rootScope.hideLoading();
            if (data.success == 1) {
                var alertPopup = $ionicPopup.alert({
                    title: data.message
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    $ionicScrollDelegate.scrollTop();
                    $scope.readonly = true;
                    $scope.InIt();
                });
            }
            else
            {
                var alertPopup = $ionicPopup.alert({
                    title: data.message
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    $ionicScrollDelegate.scrollTop();
                    $scope.readonly = true;
                    $scope.InIt();
                });
            }
        });
    }

    $scope.takePicture = function() {
        var options = {
            quality: 70,
            destinationType: Camera.DestinationType.FILE_URI,
            sourceType: Camera.PictureSourceType.CAMERA,
            allowEdit: true,
            encodingType: Camera.EncodingType.JPEG,
            targetWidth: 300,
            targetHeight: 300,
            popoverOptions: CameraPopoverOptions,
            saveToPhotoAlbum: true
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {
            $scope.imageData = imageData;
            $scope.pathSelected = true;
            // $scope.UploadImage(imageData, $scope.objRefferer.Id);
        }, function(err) {
            
        });
    };

    $scope.getPicture = function() {
        var options = {
            quality: 70,
            destinationType: Camera.DestinationType.FILE_URI,
            allowEdit: true,
            targetWidth: 200,
            targetHeight: 200,
            sourceType: 0
        };

        $cordovaCamera.getPicture(options).then(function(imageData) {
            $scope.imageData = imageData;
            $scope.pathSelected = true;
          // $scope.UploadImage(imageData, $scope.objRefferer.Id);
        }, function(err) {
            
        });
    };

    $scope.UploadImage = function(path, OrderId) {

        var url = $rootScope.API_Path + "Upload";
        var targetPath = path;

        $ionicLoading.show({ template: '<p class="text-center">Uploading image...</p>' });

        var options = {
            fileKey: OrderId,
            fileName: OrderId,
            chunkedMode: false,
            mimeType: "image/jpg",
            // params: { 'directory': 'Upload', 'fileName': filename }
        };

        try{
            $cordovaFileTransfer.upload(url, targetPath, options).then(function(result) {
                $ionicLoading.hide();
                $ionicLoading.hide();
                $scope.InIt();
            }, function(err) {
                 $ionicLoading.hide();
                 alert('Failed to upload');
            }, function(progress) {
            });
        }
        catch(ex)
        {
            $ionicLoading.hide();
        }
    }

})

.controller('PropertyDetailCtrl', function($scope, $state, $ionicHistory, $http, $rootScope, $cordovaGeolocation, $stateParams, $cordovaSocialSharing, $localstorage, $ionicPopup, $ionicScrollDelegate) {

    $scope.readonly = true;
    $scope.InIt = function() {
        $rootScope.showLoading();
        $scope.lstState = $scope.s_a[0].split("|");
        $scope.showmap = true;

        var params = {
            id: $stateParams.PropertyId
        }
        $http.get($rootScope.API_Path + "GetPropertyByID", { params: params }).success(function(data) {
            $scope.objProperty = data;
            $rootScope.hideLoading();

            try
            {
                if(data.Latitude != null && data.Longitude != null)
                {                    
                    var latLng = new google.maps.LatLng(data.Latitude, data.Longitude);
                    var mapOptions = {
                      center: latLng,
                      zoom: 15,
                      mapTypeId: google.maps.MapTypeId.ROADMAP
                    };

                    $scope.map = new google.maps.Map(document.getElementById("map"), mapOptions);
                    
                    google.maps.event.addListenerOnce($scope.map, 'idle', function(){
                      var marker = new google.maps.Marker({
                          map: $scope.map,
                          animation: google.maps.Animation.DROP,
                          position: latLng
                      });
                    });
                }
                else
                {
                    $scope.showmap = false;
                }
            }
            catch(ex)
            {
                alert(ex.toString());
            }
        });
    }

    $scope.InIt();

    $scope.goBack = function() {
        $ionicHistory.goBack();
    }

    $scope.shareme = function(objProperty){
         // $rootScope.showLoading();
        var par = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetReffererByUserID", { params: par }).success(function(da) {
            //da.Id;
            var message = objProperty.PropertyTitle + "    " + objProperty.DisplayedPrice + "  Click here to see more detail http://capitalbridge.com.au/Investments/Display/" + objProperty.Id ;
            var subject = "Propety Sharing";
            var image = $scope.Image_Path + objProperty.Photo;
            var link = "http://capitalbridge.com.au/Investments/Display/" + objProperty.Id + "?RefID=" + da.Id;

            //  $cordovaSocialSharing
            // .canShareVia('WeChat', message,null, image, null)
            // .then(function(result) {
            //    alert('Success');
            // }, function(err) {
            //     alert('Failed');
            //   // An error occurred. Show a message to the user
            // });

            // var imageData=$base64.encode(image);
            // console.log(imageData);
            $cordovaSocialSharing.share(message, subject, null, link) // Share via native share sheet
            .then(function(result) {
              // alert(JSON.stringify(result));
            }, function(err) {
                // alert('Sorry I cant share.');
                //  alert(JSON.stringify(err));
              // An error occured. Show a message to the user
            });
            
            // $cordovaSocialSharing
            // .shareViaFacebook(message, image, link)
            // .then(function(result) {
            //   // Success!
            // }, function(err) {
            //   // An error occurred. Show a message to the user
            // });



            //Cordova-wechat-plugin Example

            // share(0, 'send-link-thumb-remote');
        });
        
    };

    $scope.startEdit = function() {
        $ionicScrollDelegate.scrollTop();
        $scope.readonly = false;
    };

    $scope.cancelEdit = function() {
        $ionicScrollDelegate.scrollTop();
        $scope.readonly = true;
        $scope.InIt();
    };

    $scope.GetStatesByCountry = function(country) {
        for (var i = 0; i < $scope.country_arr.length; i++) {
            if (country == $scope.country_arr[i]) {
                $scope.lstState = $scope.s_a[i].split("|");
            }
        }
    }

    $scope.SaveProperty = function(objProperty) {

        $rootScope.showLoading();
        var params = {
            UserId: $localstorage.get('UserId')
        }
        $http.post($rootScope.API_Path + "SaveProperty", objProperty, { params: params }).success(function(data) {
            $rootScope.hideLoading();
            if (data.success == 1) {
                // $cordovaToast
                //     .show(data.message, 'long', 'center')
                //     .then(function(success) {
                //         // success
                //        $scope.InIt();
                //         $scope.GetProfile();
                //     }, function(error) {
                //         // error
                //     });
                var alertPopup = $ionicPopup.alert({
                    title: data.message
                        // template: 'It might taste good'
                });
                alertPopup.then(function(res) {
                    $ionicScrollDelegate.scrollTop();
                    $scope.readonly = true;
                    $scope.InIt();
                });
            }
        });
    }

})

.controller('AddProspectCtrl', function($http,$scope,$localstorage,$rootScope,$ionicPopup,$state) {
    $scope.initModel = function()
    {
        $scope.objProspect = {
            Id:'',
            Title: 0,
            FirstName:'',
            LastName:'',
            CompanyName:'',
            PhoneNumber:'',
            MobileNumber:'',
            Email : '',
            Street1:'',
            Street2:'',
            Suburb:'',
            PostalCode:'',
            Country:'',
            State:'',
            LanguageSpoken1:'',
            LanguageSpoken2:'',
            LanguageSpoken3:'',
            LanguageSpoken4:'',
            ReferrerID:'',
            Password:'',
            ConfirmPassword:'',
            AdminComment: '',
            AspNetUserId:'',
            IsActive:true,
            Photo:'',
            ProfileCreationDate:''
        }
    }

    $scope.pattern="^(?=.*\\d)(?=.*[a-z])(?=.*[A-Z]).{6,50}$";
    $scope.initModel();

    $scope.save = function(objProspect){
        if(objProspect.Password == objProspect.ConfirmPassword)
        {
            var par = {
                id: $localstorage.get('UserId')
            }
            $http.get($rootScope.API_Path + "GetReffererByUserID", { params: par }).success(function(da) {
                objProspect.ReferrerID = da.Id;
                $http.post($rootScope.API_Path + "AddProspect", objProspect).success(function(data) {
                    $rootScope.hideLoading();
                    if (data.success == 1) {
                        var alertPopup = $ionicPopup.alert({
                            title: data.message
                            // template: 'It might taste good'
                        });
                        alertPopup.then(function(res) {
                            $state.go('app.Prospect');
                        });
                    }
                    else
                    {
                        var alertPopup = $ionicPopup.alert({
                            title: data.message
                                // template: 'It might taste good'
                        });
                        alertPopup.then(function(res) {
                            $state.go('app.Prospect');
                        });
                    }
                });
            });
        }
        else
        {
            
            var alertPopup = $ionicPopup.alert({
                        title: '<h4>Add Prospect Process Failed!</h4>',
                        template: '<b> Password do not match with Confirm Password </b>',

            });
        }
    }

    $scope.lstState = $scope.s_a[0].split("|");
    $scope.GetStatesByCountry = function(country) {
        for (var i = 0; i < $scope.country_arr.length; i++) {
            if (country == $scope.country_arr[i]) {
                $scope.lstState = $scope.s_a[i].split("|");
            }
        }
    }
})

.controller('AddReffererCtrl', function($http,$scope,$localstorage,$rootScope,$ionicPopup,$state) {
    $scope.initModel = function()
    {
        $scope.objRefferer = {
            Id:'',
            Email : '',
            Title: '0',
            FirstName:'',
            LastName:'',
            PhoneNumber:'',
            MobileNumber:'',
            Street1:'',
            Street2:'',
            PostalCode:'',
            Suburb:'',
            Country:'',
            State:'',
            LanguageSpoken1:'',
            LanguageSpoken2:'',
            LanguageSpoken3:'',
            LanguageSpoken4:'',
            ParentReferrerID:'',

            AdminComment: null,
            AspNetUserId:'',
            IsActive:true,
            Photo:'',
            ProfileCreationDate:'',
            ReferrerComment:null,
        }
    }

    $scope.initModel();

    $scope.save = function(objRefferer){
        var par = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetReffererByUserID", { params: par }).success(function(da) {
            objRefferer.ParentReferrerID = da.Id;
            $http.post($rootScope.API_Path + "CreateNewReferrer", objRefferer).success(function(data) {
                $rootScope.hideLoading();
                if (data.success == 1) {
                    var alertPopup = $ionicPopup.alert({
                        title: data.message
                        // template: 'It might taste good'
                    });
                    alertPopup.then(function(res) {
                        $state.go('app.Refferer');
                    });
                }
                else
                {
                    var alertPopup = $ionicPopup.alert({
                        title: data.message
                            // template: 'It might taste good'
                    });
                    alertPopup.then(function(res) {
                        $state.go('app.Refferer');
                    });
                }
            });
        });
    }

    $scope.lstState = $scope.s_a[0].split("|");
    $scope.GetStatesByCountry = function(country) {
        for (var i = 0; i < $scope.country_arr.length; i++) {
            if (country == $scope.country_arr[i]) {
                $scope.lstState = $scope.s_a[i].split("|");
            }
        }
    }

})

.controller('viewCommissionCtrl', function($scope, $rootScope, $http, $localstorage) {
    $rootScope.isMine = true;
    $scope.Init = function() {
        $scope.InitModel();
    }
    $scope.InitModel = function() {
        $rootScope.showLoading();
        var params = {
            Userid: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "ViewMyCommission", { params: params }).success(function(data) {
            $scope.lstData = data;
            $rootScope.hideLoading();
        });
    }

    $scope.Init();
})

.controller('referrerCommissionCtrl', function($scope, $rootScope, $http, $localstorage) {
    $rootScope.isMine = false;
    $scope.Init = function() {
        $scope.InitModel();
    }
    $scope.InitModel = function() {
        $rootScope.showLoading();
        var params = {
            Userid: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "ViewReferrerCommission", { params: params }).success(function(data) {
            $scope.lstData = data;
            $rootScope.hideLoading();
        });
    }

    $scope.Init();
})

.controller('PropertyCommissionCtrl', function($scope, $stateParams, $rootScope, $http, $localstorage, $filter) {
    $scope.InIt = function() {
        $rootScope.showLoading();
        var params = {
            id: $stateParams.PropertyId
        }
        $http.get($rootScope.API_Path + "GetSettledPropertyByID", { params: params }).success(function(data) {
            data.ContractDate = $filter('date')(data.ContractDate.substr(6, 13), "dd MMM yyyy");
            data.SettledDate = $filter('date')(data.SettledDate.substr(6, 13), "dd MMM yyyy");
            $scope.objProperty = data;
            $rootScope.hideLoading();
        });
    }
    $scope.InIt();
})

.controller('BonusesCtrl', function($scope, $rootScope, $http, $localstorage, $filter) {
    $scope.InIt = function() {
        $rootScope.showLoading();
        var params = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetreferrerBonusList", { params: params }).success(function(data) {
            for (var i = 0; i < data.length; i++) {
                data[i].CreateDate = $filter('date')(data[i].CreateDate.substr(6, 13), "dd MMM yyyy");
            }
            $scope.lstBonus = data;
            $rootScope.hideLoading();
        });
    }
    $scope.InIt();
})

.controller('PropertiesonMapCtrl', function($scope, $rootScope, $stateParams, $http, $localstorage, $filter, $cordovaGeolocation) {

    $scope.InIt = function() {
        $rootScope.showLoading();
        var params = {
            id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetProperty", { params: params }).success(function(data) {
            $scope.lstProperty = data;
            var isinitmap = true;

            var bounds = new google.maps.LatLngBounds();
            var infowindow = new google.maps.InfoWindow(); 

            for (var i = 0; i < data.length; i++) {
                if(data[i].Latitude != null && data[i].Longitude != null)
                {
                    var latLng = new google.maps.LatLng(data[i].Latitude, data[i].Longitude);
                    
                    if(isinitmap)
                    {
                        var mapOptions = {
                          center: latLng,
                          zoom: 15,
                          mapTypeId: google.maps.MapTypeId.ROADMAP
                        };
                        $scope.map = new google.maps.Map(document.getElementById("fullmap"), mapOptions);
                        isinitmap = false;
                    }
                    
                    var marker = new google.maps.Marker({
                        position: new google.maps.LatLng(data[i].Latitude, data[i].Longitude),
                        map: $scope.map
                    });

                      //extend the bounds to include each marker's position
                    bounds.extend(marker.position);

                    var mycont = "<div class='' style='margin-bottom:2px'><a class='item item-thumbnail-left' href='#/app/PropertyDetail/" + data[i].Id + "'><img src='" + $scope.Image_Path + data[i].Photo + "'><h2>" + data[i].PropertyTitle + "</h2><p>" + data[i].Street1 + ", "+ data[i].PostalCode + "</p><p>" + data[i].Suburb + "</p><p>" + data[i].State + "</p><p>Price: " + data[i].DisplayedPrice + "</p></a></div>"

                    google.maps.event.addListener(marker, 'click', (function(marker, i) {
                        return function() {
                          infowindow.setContent(mycont);
                          infowindow.open($scope.map, marker);
                        }
                    })(marker, i));
                    // google.maps.event.addListenerOnce($scope.map, 'idle', function(){
                    //   var marker = new google.maps.Marker({
                    //       map: $scope.map,
                    //       animation: google.maps.Animation.DROP,
                    //       position: latLng
                    //   });
                    // });
                }
                else
                {
                    $scope.showmap = false;
                }
            }

            $scope.map.fitBounds(bounds);
            var listener = google.maps.event.addListener($scope.map, "idle", function () {
                $scope.map.setZoom(9);
                google.maps.event.removeListener(listener);
            });
            $rootScope.hideLoading();
        });   
    }

    $scope.InIt();
})

.controller('shareReffererCtrl', function($scope, $rootScope, $stateParams, $http, $localstorage) {
    $scope.InIt = function() {

       $scope.model = {
            referrerId : $stateParams.referrerId
        }
    }
    $scope.InIt();
})

.controller('ShareProspectCtrl', function($scope, $rootScope, $stateParams, $http, $localstorage) {
    $scope.InIt = function() {

       $scope.model = {
            referrerId : $stateParams.referrerId
        }
    }
    $scope.InIt();
})

.controller('ContactCtrl', function($scope, $rootScope, $stateParams, $http, $localstorage, $cordovaSocialSharing) {
    $scope.InIt = function() {
        $scope.model={
            Phone1:'',
            Phone2:'',
            Email:'',
            WeChatID:''
        }

       $http.get($rootScope.API_Path + "GetContactDetails").success(function(data) {
            $scope.model.Phone1 = data.Phone1;
            $scope.model.Phone2 = data.Phone2;
            $scope.model.Email = data.Email;
            $scope.model.WeChatID = data.WeChatID;
            $rootScope.hideLoading();
        });
    }
    $scope.InIt();

    $scope.shareme = function() {
        var message = "Capital Bridge International :";
        var subject = "Contact CBI From Referrer";
        $cordovaSocialSharing.share(message, subject, null, "") // Share via native share sheet
        .then(function(result) {
        }, function(err) {
        });
    };
})

.controller('RegisterReferrerCtrl', function($scope, $state, $rootScope, $stateParams, $http, $localstorage, $ionicPopup) {
    
    $scope.initModel = function()
    {
        $scope.objRefferer = {
            Id:'',
            Email : '',
            Title: '0',
            FirstName:'',
            LastName:'',
            PhoneNumber:'',
            MobileNumber:'',
            Street1:'',
            Street2:'',
            PostalCode:'',
            Suburb:'',
            Country:'',
            State:'',
            LanguageSpoken1:'',
            LanguageSpoken2:'',
            LanguageSpoken3:'',
            LanguageSpoken4:'',
            ParentReferrerID:'',
            Password:'',
            ConfirmPassword:'',

            AdminComment: null,
            AspNetUserId:'',
            IsActive:true,
            Photo:'',
            ProfileCreationDate:'',
            ReferrerComment:'',
        }
    }

    $scope.pattern="^(?=.*\\d)(?=.*[a-z])(?=.*[A-Z]).{6,50}$";
    $scope.initModel();

    $scope.save = function(objRefferer){
        if(objRefferer.Password == objRefferer.ConfirmPassword)
        {
            $rootScope.showLoading();
            $http.post($rootScope.API_Path + "RegisterNewReferrer", objRefferer).success(function(data) {
                $rootScope.hideLoading();
                if (data.error == 0) {
                    var alertPopup = $ionicPopup.alert({
                        title: data.message
                        // template: 'It might taste good'
                    });
                    alertPopup.then(function(res) {
                        $state.go('app.Login');
                    });
                }
                else
                {
                    var alertPopup = $ionicPopup.alert({
                        title: data.message
                            // template: 'It might taste good'
                    });
                    alertPopup.then(function(res) {
                    });
                }
            });
        }
        else{
            alert('Password does not match');
        }
    }

    $scope.lstState = $scope.s_a[0].split("|");
    $scope.GetStatesByCountry = function(country) {
        for (var i = 0; i < $scope.country_arr.length; i++) {
            if (country == $scope.country_arr[i]) {
                $scope.lstState = $scope.s_a[i].split("|");
            }
        }
    }

})

.controller('ForgotPasswordCtrl', function($scope, $state, $rootScope, $stateParams, $http, $localstorage, $ionicPopup) {
     $scope.initModel = function()
    {
        $scope.model = {
            Email : ''
        }
    }

     $scope.ForgotPassword = function(){
        $rootScope.showLoading();
        var params = {
            Email: $scope.model.Email
        }
         $http.post($rootScope.Image_Path + "unisocial/ForgotPassword", params).success(function(data) {
                $rootScope.hideLoading();
                if (data.success == 1) {
                    var alertPopup = $ionicPopup.alert({
                        title: data.message
                        // template: 'It might taste good'
                    });
                    alertPopup.then(function(res) {
                        $state.go('app.Login');
                    });
                }
                else
                {
                    var alertPopup = $ionicPopup.alert({
                        title: data.message
                            // template: 'It might taste good'
                    });
                    alertPopup.then(function(res) {
                        $state.go('app.Login');
                    });
                }
            });
     }
    $scope.initModel();
})

.controller('sliderpageCtrl', function($scope,$http, $ionicSlideBoxDelegate, $state, $localstorage,$rootScope) {
    $scope.InIt = function() {
        $scope.model={
            FullName:'',
            FirstName:'',
            Mobile:'',
            WechatId:'',
            Photo:''
        }

        $rootScope.showLoading();
        var params = {
            Id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetreferrerMentor", { params: params }).success(function(data) {
            $scope.model.FullName = data.FullName;
            $scope.model.FirstName = data.FirstName;
            $scope.model.Photo = data.Photo;
            $scope.model.Mobile = data.Mobile;
            $scope.model.WechatId = data.WechatId;
            $rootScope.hideLoading();
        });
    }

    $scope.slideIndex = 0;
    $scope.slideChanged = function(index) {
        $scope.slideIndex = index;
    };

    $scope.next = function() {
        $ionicSlideBoxDelegate.next();
    };

    $scope.finish = function() {
        $localstorage.set("Taketour", "Taken");
        $state.go('app.Dashboard')
    }
    $scope.InIt();
})

.controller('MentorCtrl', function($scope, $rootScope, $stateParams, $http, $localstorage, $cordovaSocialSharing) {
    $scope.InIt = function() {
        $scope.model={
            FullName:'',
            FirstName:'',
            Mobile:'',
            WechatId:'',
            Photo:''
        }

        $rootScope.showLoading();
        var params = {
            Id: $localstorage.get('UserId')
        }
        $http.get($rootScope.API_Path + "GetreferrerMentor", { params: params }).success(function(data) {
            $scope.model.FullName = data.FullName;
            $scope.model.FirstName = data.FirstName;
            $scope.model.Photo = data.Photo;
            $scope.model.Mobile = data.Mobile;
            $scope.model.WechatId = data.WechatId;
            $rootScope.hideLoading();
        });
    }

     $scope.shareme = function(){
        var message = "Capital Bridge International :";
        var subject = "Contact Mentor From Referrer";
        
        $cordovaSocialSharing.share(message, subject, null, "") // Share via native share sheet
        .then(function(result) {
        }, function(err) {
           
        });
    };

    $scope.InIt();
})
